BUNDLE_NAME = "cisco_ios_xe"

CAPABILITIES = {
    "ATM-FORUM-TC-MIB": "",
    "ATM-MIB": "1998-10-19",
    "ATM-TC-MIB": "1998-10-19",
    "BGP4-MIB": "1994-05-05",
    "BRIDGE-MIB": "2005-09-19",
    "CISCO-AAA-SERVER-MIB": "2003-11-17",
    "CISCO-AAA-SESSION-MIB": "2006-03-21",
    "CISCO-AAL5-MIB": "2003-09-22",
    "CISCO-ATM-EXT-MIB": "2003-01-06",
    "CISCO-ATM-PVCTRAP-EXTN-MIB": "2003-01-20",
    "CISCO-ATM-QOS-MIB": "2002-06-10",
    "CISCO-BGP4-MIB": "2010-09-30",
    "CISCO-BGP-POLICY-ACCOUNTING-MIB": "2002-07-26",
    "CISCO-BULK-FILE-MIB": "2002-06-10",
    "CISCO-CBP-TARGET-MIB": "2006-05-24",
    "CISCO-CBP-TARGET-TC-MIB": "2006-03-24",
    "CISCO-CBP-TC-MIB": "2008-06-24",
    "CISCO-CDP-MIB": "2005-03-21",
    "CISCO-CEF-MIB": "2006-01-30",
    "CISCO-CEF-TC": "2005-09-30",
    "CISCO-CONFIG-COPY-MIB": "2005-04-06",
    "CISCO-CONFIG-MAN-MIB": "2007-04-27",
    "CISCO-CONTEXT-MAPPING-MIB": "2008-11-22",
    "CISCO-DATA-COLLECTION-MIB": "2002-10-30",
    "CISCO-DIAL-CONTROL-MIB": "2005-05-26",
    "CISCO-DOT3-OAM-MIB": "2006-05-31",
    "CISCO-DYNAMIC-TEMPLATE-MIB": "2007-09-06",
    "CISCO-DYNAMIC-TEMPLATE-TC-MIB": "2012-01-27",
    "CISCO-EIGRP-MIB": "2004-11-16",
    "CISCO-EMBEDDED-EVENT-MGR-MIB": "2006-11-07",
    "CISCO-ENHANCED-MEMPOOL-MIB": "2008-12-05",
    "CISCO-ENTITY-ALARM-MIB": "1999-07-06",
    "CISCO-ENTITY-EXT-MIB": "2008-11-24",
    "CISCO-ENTITY-FRU-CONTROL-MIB": "2013-08-19",
    "CISCO-ENTITY-QFP-MIB": "2014-06-18",
    "CISCO-ENTITY-SENSOR-MIB": "2015-01-15",
    "CISCO-ENTITY-VENDORTYPE-OID-MIB": "2014-12-09",
    "CISCO-ENVMON-MIB": "2003-12-01",
    "CISCO-ETHERLIKE-EXT-MIB": "2010-06-04",
    "CISCO-ETHER-CFM-MIB": "2004-12-28",
    "CISCO-FIREWALL-TC": "2006-03-03",
    "CISCO-FLASH-MIB": "2013-08-06",
    "CISCO-FTP-CLIENT-MIB": "2006-03-31",
    "CISCO-HSRP-EXT-MIB": "2010-09-02",
    "CISCO-HSRP-MIB": "2010-09-06",
    "CISCO-IETF-ATM2-PVCTRAP-MIB": "1998-02-03",
    "CISCO-IETF-ATM2-PVCTRAP-MIB-EXTN": "2000-07-11",
    "CISCO-IETF-BFD-MIB": "2011-04-16",
    "CISCO-IETF-FRR-MIB": "2008-04-29",
    "CISCO-IETF-ISIS-MIB": "2005-08-16",
    "CISCO-IETF-MPLS-ID-STD-03-MIB": "2012-06-07",
    "CISCO-IETF-MPLS-TE-EXT-STD-03-MIB": "2012-06-06",
    "CISCO-IETF-PW-ATM-MIB": "2005-04-19",
    "CISCO-IETF-PW-ENET-MIB": "2002-09-22",
    "CISCO-IETF-PW-MIB": "2004-03-17",
    "CISCO-IETF-PW-MPLS-MIB": "2003-02-26",
    "CISCO-IETF-PW-TC-MIB": "2006-07-21",
    "CISCO-IETF-PW-TDM-MIB": "2006-07-21",
    "CISCO-IF-EXTENSION-MIB": "2013-03-13",
    "CISCO-IGMP-FILTER-MIB": "2005-11-29",
    "CISCO-IMAGE-LICENSE-MGMT-MIB": "2007-10-16",
    "CISCO-IMAGE-MIB": "1995-08-15",
    "CISCO-IPMROUTE-MIB": "2005-03-07",
    "CISCO-IPSEC-FLOW-MONITOR-MIB": "2007-10-24",
    "CISCO-IPSEC-MIB": "2000-08-07",
    "CISCO-IPSEC-POLICY-MAP-MIB": "2000-08-17",
    "CISCO-IPSLA-AUTOMEASURE-MIB": "2007-06-13",
    "CISCO-IPSLA-ECHO-MIB": "2007-08-16",
    "CISCO-IPSLA-JITTER-MIB": "2007-07-24",
    "CISCO-IPSLA-TC-MIB": "2007-03-23",
    "CISCO-IP-LOCAL-POOL-MIB": "2007-11-12",
    "CISCO-IP-TAP-MIB": "2004-03-11",
    "CISCO-IP-URPF-MIB": "2011-12-29",
    "CISCO-LICENSE-MGMT-MIB": "2012-04-19",
    "CISCO-MEDIA-GATEWAY-MIB": "2009-02-25",
    "CISCO-MPLS-LSR-EXT-STD-MIB": "2012-04-30",
    "CISCO-MPLS-TC-EXT-STD-MIB": "2012-02-22",
    "CISCO-NBAR-PROTOCOL-DISCOVERY-MIB": "2002-08-16",
    "CISCO-NETSYNC-MIB": "2010-10-15",
    "CISCO-NTP-MIB": "2006-07-31",
    "CISCO-OSPF-MIB": "2003-07-18",
    "CISCO-OSPF-TRAP-MIB": "2003-07-18",
    "CISCO-PIM-MIB": "2000-11-02",
    "CISCO-PING-MIB": "2001-08-28",
    "CISCO-PROCESS-MIB": "2011-06-23",
    "CISCO-PRODUCTS-MIB": "2014-11-06",
    "CISCO-PTP-MIB": "2011-01-28",
    "CISCO-QOS-PIB-MIB": "2007-08-29",
    "CISCO-RADIUS-EXT-MIB": "2010-05-25",
    "CISCO-RF-MIB": "2005-09-01",
    "CISCO-RTTMON-MIB": "2012-08-16",
    "CISCO-RTTMON-TC-MIB": "2012-05-25",
    "CISCO-SESS-BORDER-CTRLR-CALL-STATS-MIB": "2010-09-03",
    "CISCO-SESS-BORDER-CTRLR-STATS-MIB": "2010-09-15",
    "CISCO-SIP-UA-MIB": "2004-02-19",
    "CISCO-SMI": "2012-08-29",
    "CISCO-SONET-MIB": "2003-03-07",
    "CISCO-STP-EXTENSIONS-MIB": "2013-03-07",
    "CISCO-ST-TC": "2012-08-08",
    "CISCO-SUBSCRIBER-IDENTITY-TC-MIB": "2011-12-23",
    "CISCO-SUBSCRIBER-SESSION-MIB": "2012-08-08",
    "CISCO-SUBSCRIBER-SESSION-TC-MIB": "2012-01-27",
    "CISCO-SYSLOG-MIB": "2005-12-03",
    "CISCO-TAP2-MIB": "2009-11-06",
    "CISCO-TC": "2011-11-11",
    "CISCO-UBE-MIB": "2010-11-29",
    "CISCO-UNIFIED-FIREWALL-MIB": "2005-09-22",
    "CISCO-VLAN-IFTABLE-RELATIONSHIP-MIB": "2013-07-15",
    "CISCO-VLAN-MEMBERSHIP-MIB": "2007-12-14",
    "CISCO-VOICE-COMMON-DIAL-CONTROL-MIB": "2010-06-30",
    "CISCO-VOICE-DIAL-CONTROL-MIB": "2012-05-15",
    "CISCO-VOICE-DNIS-MIB": "2002-05-01",
    "CISCO-VPDN-MGMT-MIB": "2009-06-16",
    "CISCO-VTP-MIB": "2013-10-14",
    "Cisco-IOS-XE-aaa": "2017-09-05",
    "Cisco-IOS-XE-acl": "2017-08-01",
    "Cisco-IOS-XE-acl-oper": "2017-02-07",
    "Cisco-IOS-XE-arp": "2017-01-16",
    "Cisco-IOS-XE-atm": "2017-02-07",
    "Cisco-IOS-XE-bba-group": "2017-02-07",
    "Cisco-IOS-XE-bfd": "2017-04-28",
    "Cisco-IOS-XE-bfd-oper": "2017-02-07",
    "Cisco-IOS-XE-bgp": "2017-04-28",
    "Cisco-IOS-XE-bgp-common-oper": "2017-02-07",
    "Cisco-IOS-XE-bgp-oper": "2017-04-01",
    "Cisco-IOS-XE-bgp-route-oper": "2017-02-07",
    "Cisco-IOS-XE-bridge-domain": "2017-02-07",
    "Cisco-IOS-XE-call-home": "2017-02-07",
    "Cisco-IOS-XE-card": "2017-02-07",
    "Cisco-IOS-XE-cdp": "2017-02-07",
    "Cisco-IOS-XE-cdp-oper": "2017-02-07",
    "Cisco-IOS-XE-cef": "2017-05-19",
    "Cisco-IOS-XE-cfm-oper": "2017-02-07",
    "Cisco-IOS-XE-checkpoint-archive-oper": "2017-04-01",
    "Cisco-IOS-XE-coap": "2017-02-07",
    "Cisco-IOS-XE-controller": "2017-02-07",
    "Cisco-IOS-XE-crypto": "2017-05-10",
    "Cisco-IOS-XE-cts": "2017-06-29",
    "Cisco-IOS-XE-device-sensor": "2017-02-07",
    "Cisco-IOS-XE-device-tracking": "2017-06-07",
    "Cisco-IOS-XE-dhcp": "2017-04-28",
    "Cisco-IOS-XE-diagnostics": "2017-02-07",
    "Cisco-IOS-XE-diffserv-target-oper": "2017-02-09",
    "Cisco-IOS-XE-dot1x": "2017-02-07",
    "Cisco-IOS-XE-eem": "2017-04-13",
    "Cisco-IOS-XE-efp-oper": "2017-02-07",
    "Cisco-IOS-XE-eigrp": "2017-02-07",
    "Cisco-IOS-XE-environment-oper": "2017-02-07",
    "Cisco-IOS-XE-ethernet": "2017-02-07",
    "Cisco-IOS-XE-ezpm": "2017-02-07",
    "Cisco-IOS-XE-features": "2017-02-07",
    "Cisco-IOS-XE-flow": "2017-04-19",
    "Cisco-IOS-XE-flow-monitor-oper": "2017-04-01",
    "Cisco-IOS-XE-http": "2017-02-07",
    "Cisco-IOS-XE-icmp": "2017-02-07",
    "Cisco-IOS-XE-igmp": "2017-02-07",
    "Cisco-IOS-XE-interface-common": "2017-03-04",
    "Cisco-IOS-XE-interfaces": "2017-08-30",
    "Cisco-IOS-XE-ip": "2017-06-29",
    "Cisco-IOS-XE-ip-sla-oper": "2017-04-01",
    "Cisco-IOS-XE-ipv6": "2017-07-05",
    "Cisco-IOS-XE-isis": "2017-04-28",
    "Cisco-IOS-XE-l2vpn": "2017-02-07",
    "Cisco-IOS-XE-l3vpn": "2017-02-07",
    "Cisco-IOS-XE-license": "2017-02-07",
    "Cisco-IOS-XE-line": "2017-03-24",
    "Cisco-IOS-XE-lisp": "2017-04-28",
    "Cisco-IOS-XE-lldp": "2017-03-31",
    "Cisco-IOS-XE-lldp-oper": "2017-02-07",
    "Cisco-IOS-XE-logging": "2017-06-02",
    "Cisco-IOS-XE-mdt-cfg": "2017-03-02",
    "Cisco-IOS-XE-mdt-common-defs": "2017-03-02",
    "Cisco-IOS-XE-mdt-oper": "2017-03-02",
    "Cisco-IOS-XE-memory-oper": "2017-04-01",
    "Cisco-IOS-XE-mka": "2017-02-07",
    "Cisco-IOS-XE-mld": "2017-02-07",
    "Cisco-IOS-XE-mmode": "2017-03-13",
    "Cisco-IOS-XE-mpls": "2017-02-23",
    "Cisco-IOS-XE-mpls-fwd-oper": "2017-02-07",
    "Cisco-IOS-XE-mpls-ldp": "2017-02-07",
    "Cisco-IOS-XE-multicast": "2017-06-01",
    "Cisco-IOS-XE-nat": "2017-08-03",
    "Cisco-IOS-XE-native": "2017-08-30",
    "Cisco-IOS-XE-nbar": "2017-02-07",
    "Cisco-IOS-XE-nd": "2017-04-07",
    "Cisco-IOS-XE-nhrp": "2017-02-07",
    "Cisco-IOS-XE-ntp": "2017-02-07",
    "Cisco-IOS-XE-object-group": "2017-02-07",
    "Cisco-IOS-XE-ospf": "2017-04-28",
    "Cisco-IOS-XE-ospfv3": "2017-04-28",
    "Cisco-IOS-XE-otv": "2017-02-07",
    "Cisco-IOS-XE-parser": "2017-02-07",
    "Cisco-IOS-XE-pathmgr": "2017-02-07",
    "Cisco-IOS-XE-pfr": "2017-02-07",
    "Cisco-IOS-XE-platform": "2017-02-07",
    "Cisco-IOS-XE-platform-oper": "2017-02-06",
    "Cisco-IOS-XE-platform-software-oper": "2017-04-01",
    "Cisco-IOS-XE-policy": "2017-08-21",
    "Cisco-IOS-XE-power": "2017-02-07",
    "Cisco-IOS-XE-ppp": "2017-02-07",
    "Cisco-IOS-XE-process-cpu-oper": "2017-02-07",
    "Cisco-IOS-XE-process-memory-oper": "2017-02-07",
    "Cisco-IOS-XE-qos": "2017-02-07",
    "Cisco-IOS-XE-rip": "2017-04-12",
    "Cisco-IOS-XE-route-map": "2017-06-07",
    "Cisco-IOS-XE-rpc": "2017-02-07",
    "Cisco-IOS-XE-rsvp": "2017-02-07",
    "Cisco-IOS-XE-sanet": "2017-02-07",
    "Cisco-IOS-XE-segment-routing": "2017-02-07",
    "Cisco-IOS-XE-service-chain": "2017-02-07",
    "Cisco-IOS-XE-service-discovery": "2017-02-07",
    "Cisco-IOS-XE-service-insertion": "2017-02-07",
    "Cisco-IOS-XE-service-routing": "2017-05-09",
    "Cisco-IOS-XE-sla": "2017-02-07",
    "Cisco-IOS-XE-snmp": "2017-02-07",
    "Cisco-IOS-XE-spanning-tree": "2017-02-07",
    "Cisco-IOS-XE-switch": "2017-03-31",
    "Cisco-IOS-XE-template": "2017-02-13",
    "Cisco-IOS-XE-track": "2017-04-28",
    "Cisco-IOS-XE-trustsec-oper": "2017-02-07",
    "Cisco-IOS-XE-tunnel": "2017-07-11",
    "Cisco-IOS-XE-types": "2017-06-09",
    "Cisco-IOS-XE-udld": "2017-02-07",
    "Cisco-IOS-XE-umbrella": "2017-08-30",
    "Cisco-IOS-XE-utd": "2017-08-30",
    "Cisco-IOS-XE-virtual-service-oper": "2017-02-07",
    "Cisco-IOS-XE-vlan": "2017-05-31",
    "Cisco-IOS-XE-voice": "2017-02-07",
    "Cisco-IOS-XE-vpdn": "2017-02-07",
    "Cisco-IOS-XE-vservice": "2017-07-05",
    "Cisco-IOS-XE-vstack": "2017-02-07",
    "Cisco-IOS-XE-vtp": "2017-02-07",
    "Cisco-IOS-XE-wccp": "2017-02-07",
    "Cisco-IOS-XE-wsma": "2017-02-07",
    "Cisco-IOS-XE-zone": "2017-02-07",
    "DIAL-CONTROL-MIB": "1996-09-23",
    "DIFFSERV-DSCP-TC": "2002-05-09",
    "DIFFSERV-MIB": "2002-02-07",
    "DISMAN-EVENT-MIB": "2000-10-16",
    "DISMAN-EXPRESSION-MIB": "2000-10-16",
    "DRAFT-MSDP-MIB": "1999-12-16",
    "DS1-MIB": "1998-08-01",
    "DS3-MIB": "1998-08-01",
    "ENTITY-MIB": "2005-08-10",
    "ENTITY-SENSOR-MIB": "2002-12-16",
    "ENTITY-STATE-MIB": "2005-11-22",
    "ENTITY-STATE-TC-MIB": "2005-11-22",
    "ETHER-WIS": "2003-09-19",
    "EXPRESSION-MIB": "2005-11-24",
    "EtherLike-MIB": "2003-09-19",
    "FRAME-RELAY-DTE-MIB": "1997-05-01",
    "HCNUM-TC": "2000-06-08",
    "IANA-ADDRESS-FAMILY-NUMBERS-MIB": "2000-09-08",
    "IANA-RTPROTO-MIB": "2000-09-26",
    "IANAifType-MIB": "2006-03-31",
    "IEEE8021-TC-MIB": "2008-10-15",
    "IF-MIB": "2000-06-14",
    "IGMP-STD-MIB": "2000-09-28",
    "INET-ADDRESS-MIB": "2005-02-04",
    "INTEGRATED-SERVICES-MIB": "1995-11-03",
    "INT-SERV-MIB": "1997-10-03",
    "IPMROUTE-STD-MIB": "2000-09-22",
    "IPV6-FLOW-LABEL-MIB": "2003-08-28",
    "IP-FORWARD-MIB": "1996-09-19",
    "IP-MIB": "2006-02-02",
    "LLDP-MIB": "2005-05-06",
    "MPLS-L3VPN-STD-MIB": "2006-01-23",
    "MPLS-LDP-GENERIC-STD-MIB": "2004-06-03",
    "MPLS-LDP-STD-MIB": "2004-06-03",
    "MPLS-LSR-STD-MIB": "2004-06-03",
    "MPLS-TC-MIB": "2001-01-04",
    "MPLS-TC-STD-MIB": "2004-06-03",
    "MPLS-TE-STD-MIB": "2004-06-03",
    "MPLS-VPN-MIB": "2001-10-15",
    "NHRP-MIB": "1999-08-26",
    "NOTIFICATION-LOG-MIB": "2000-11-27",
    "OSPF-MIB": "2006-11-10",
    "OSPF-TRAP-MIB": "2006-11-10",
    "PIM-MIB": "2000-09-28",
    "P-BRIDGE-MIB": "2006-01-09",
    "PerfHist-TC-MIB": "1998-11-07",
    "Q-BRIDGE-MIB": "2006-01-09",
    "RFC1155-SMI": "",
    "RFC1213-MIB": "",
    "RFC1315-MIB": "",
    "RFC-1212": "",
    "RFC-1215": "",
    "RMON2-MIB": "1996-05-27",
    "RMON-MIB": "2000-05-11",
    "RSVP-MIB": "1998-08-25",
    "SNMP-FRAMEWORK-MIB": "2002-10-14",
    "SNMP-PROXY-MIB": "2002-10-14",
    "SNMP-TARGET-MIB": "1998-08-04",
    "SNMPv2-MIB": "2002-10-16",
    "SNMPv2-TC": "",
    "SONET-MIB": "2003-08-11",
    "TCP-MIB": "2005-02-18",
    "TOKENRING-MIB": "1994-10-23",
    "TOKEN-RING-RMON-MIB": "",
    "TUNNEL-MIB": "2005-05-16",
    "UDP-MIB": "2005-05-20",
    "VPN-TC-STD-MIB": "2005-11-15",
    "cisco-bridge-common": "2016-12-14",
    "cisco-bridge-domain": "2016-12-14",
    "cisco-ethernet": "2016-05-10",
    "cisco-ia": "2017-03-02",
    "cisco-odm": "2017-04-25",
    "cisco-ospf": "2016-03-30",
    "cisco-policy": "2016-03-30",
    "cisco-policy-filters": "2016-03-30",
    "cisco-policy-target": "2016-03-30",
    "cisco-pw": "2016-12-07",
    "cisco-routing-ext": "2016-07-09",
    "cisco-self-mgmt": "2016-05-14",
    "cisco-storm-control": "2016-12-14",
    "common-mpls-static": "2015-07-22",
    "common-mpls-types": "2015-05-28",
    "nvo": "2015-06-02",
    "pim": "2014-06-27",
    "policy-attr": "2015-04-27",
    "tailf-cli-extensions": "2017-01-26",
    "tailf-common": "2017-01-26",
    "tailf-common-monitoring": "2013-06-14",
    "tailf-common-query": "2017-04-27",
    "tailf-confd-monitoring": "2013-06-14",
    "tailf-meta-extensions": "2016-11-24",
    "tailf-netconf-inactive": "",
    "tailf-netconf-monitoring": "2016-11-24",
    "tailf-netconf-query": "2014-11-13",
    "tailf-netconf-transactions": "",
    "tailf-rest-error": "",
    "tailf-rest-query": "2014-11-13",
    "tailf-xsd-types": "2009-03-17",
}

ENTITY_LOOKUP = {
    ("urn:ietf:params:xml:ns:yang:smiv2:ATM-MIB", "ATM-MIB"): "ATM_MIB.ATMMIB",
    ("ATM-MIB", "ATM-MIB"): "ATM_MIB.ATMMIB",
    ("urn:ietf:params:xml:ns:yang:smiv2:BGP4-MIB", "BGP4-MIB"): "BGP4_MIB.BGP4MIB",
    ("BGP4-MIB", "BGP4-MIB"): "BGP4_MIB.BGP4MIB",
    ("urn:ietf:params:xml:ns:yang:smiv2:BRIDGE-MIB", "BRIDGE-MIB"): "BRIDGE_MIB.BRIDGEMIB",
    ("BRIDGE-MIB", "BRIDGE-MIB"): "BRIDGE_MIB.BRIDGEMIB",
    ("urn:ietf:params:xml:ns:yang:smiv2:CISCO-AAA-SERVER-MIB", "CISCO-AAA-SERVER-MIB"): "CISCO_AAA_SERVER_MIB.CISCOAAASERVERMIB",
    ("CISCO-AAA-SERVER-MIB", "CISCO-AAA-SERVER-MIB"): "CISCO_AAA_SERVER_MIB.CISCOAAASERVERMIB",
    ("urn:ietf:params:xml:ns:yang:smiv2:CISCO-AAA-SESSION-MIB", "CISCO-AAA-SESSION-MIB"): "CISCO_AAA_SESSION_MIB.CISCOAAASESSIONMIB",
    ("CISCO-AAA-SESSION-MIB", "CISCO-AAA-SESSION-MIB"): "CISCO_AAA_SESSION_MIB.CISCOAAASESSIONMIB",
    ("urn:ietf:params:xml:ns:yang:smiv2:CISCO-ATM-PVCTRAP-EXTN-MIB", "CISCO-ATM-PVCTRAP-EXTN-MIB"): "CISCO_ATM_PVCTRAP_EXTN_MIB.CISCOATMPVCTRAPEXTNMIB",
    ("CISCO-ATM-PVCTRAP-EXTN-MIB", "CISCO-ATM-PVCTRAP-EXTN-MIB"): "CISCO_ATM_PVCTRAP_EXTN_MIB.CISCOATMPVCTRAPEXTNMIB",
    ("urn:ietf:params:xml:ns:yang:smiv2:CISCO-ATM-QOS-MIB", "CISCO-ATM-QOS-MIB"): "CISCO_ATM_QOS_MIB.CISCOATMQOSMIB",
    ("CISCO-ATM-QOS-MIB", "CISCO-ATM-QOS-MIB"): "CISCO_ATM_QOS_MIB.CISCOATMQOSMIB",
    ("urn:ietf:params:xml:ns:yang:smiv2:CISCO-BGP4-MIB", "CISCO-BGP4-MIB"): "CISCO_BGP4_MIB.CISCOBGP4MIB",
    ("CISCO-BGP4-MIB", "CISCO-BGP4-MIB"): "CISCO_BGP4_MIB.CISCOBGP4MIB",
    ("urn:ietf:params:xml:ns:yang:smiv2:CISCO-BGP-POLICY-ACCOUNTING-MIB", "CISCO-BGP-POLICY-ACCOUNTING-MIB"): "CISCO_BGP_POLICY_ACCOUNTING_MIB.CISCOBGPPOLICYACCOUNTINGMIB",
    ("CISCO-BGP-POLICY-ACCOUNTING-MIB", "CISCO-BGP-POLICY-ACCOUNTING-MIB"): "CISCO_BGP_POLICY_ACCOUNTING_MIB.CISCOBGPPOLICYACCOUNTINGMIB",
    ("urn:ietf:params:xml:ns:yang:smiv2:CISCO-BULK-FILE-MIB", "CISCO-BULK-FILE-MIB"): "CISCO_BULK_FILE_MIB.CISCOBULKFILEMIB",
    ("CISCO-BULK-FILE-MIB", "CISCO-BULK-FILE-MIB"): "CISCO_BULK_FILE_MIB.CISCOBULKFILEMIB",
    ("urn:ietf:params:xml:ns:yang:smiv2:CISCO-CBP-TARGET-MIB", "CISCO-CBP-TARGET-MIB"): "CISCO_CBP_TARGET_MIB.CISCOCBPTARGETMIB",
    ("CISCO-CBP-TARGET-MIB", "CISCO-CBP-TARGET-MIB"): "CISCO_CBP_TARGET_MIB.CISCOCBPTARGETMIB",
    ("urn:ietf:params:xml:ns:yang:smiv2:CISCO-CDP-MIB", "CISCO-CDP-MIB"): "CISCO_CDP_MIB.CISCOCDPMIB",
    ("CISCO-CDP-MIB", "CISCO-CDP-MIB"): "CISCO_CDP_MIB.CISCOCDPMIB",
    ("urn:ietf:params:xml:ns:yang:smiv2:CISCO-CEF-MIB", "CISCO-CEF-MIB"): "CISCO_CEF_MIB.CISCOCEFMIB",
    ("CISCO-CEF-MIB", "CISCO-CEF-MIB"): "CISCO_CEF_MIB.CISCOCEFMIB",
    ("urn:ietf:params:xml:ns:yang:smiv2:CISCO-CONFIG-COPY-MIB", "CISCO-CONFIG-COPY-MIB"): "CISCO_CONFIG_COPY_MIB.CISCOCONFIGCOPYMIB",
    ("CISCO-CONFIG-COPY-MIB", "CISCO-CONFIG-COPY-MIB"): "CISCO_CONFIG_COPY_MIB.CISCOCONFIGCOPYMIB",
    ("urn:ietf:params:xml:ns:yang:smiv2:CISCO-CONFIG-MAN-MIB", "CISCO-CONFIG-MAN-MIB"): "CISCO_CONFIG_MAN_MIB.CISCOCONFIGMANMIB",
    ("CISCO-CONFIG-MAN-MIB", "CISCO-CONFIG-MAN-MIB"): "CISCO_CONFIG_MAN_MIB.CISCOCONFIGMANMIB",
    ("urn:ietf:params:xml:ns:yang:smiv2:CISCO-CONTEXT-MAPPING-MIB", "CISCO-CONTEXT-MAPPING-MIB"): "CISCO_CONTEXT_MAPPING_MIB.CISCOCONTEXTMAPPINGMIB",
    ("CISCO-CONTEXT-MAPPING-MIB", "CISCO-CONTEXT-MAPPING-MIB"): "CISCO_CONTEXT_MAPPING_MIB.CISCOCONTEXTMAPPINGMIB",
    ("urn:ietf:params:xml:ns:yang:smiv2:CISCO-DATA-COLLECTION-MIB", "CISCO-DATA-COLLECTION-MIB"): "CISCO_DATA_COLLECTION_MIB.CISCODATACOLLECTIONMIB",
    ("CISCO-DATA-COLLECTION-MIB", "CISCO-DATA-COLLECTION-MIB"): "CISCO_DATA_COLLECTION_MIB.CISCODATACOLLECTIONMIB",
    ("urn:ietf:params:xml:ns:yang:smiv2:CISCO-DIAL-CONTROL-MIB", "CISCO-DIAL-CONTROL-MIB"): "CISCO_DIAL_CONTROL_MIB.CISCODIALCONTROLMIB",
    ("CISCO-DIAL-CONTROL-MIB", "CISCO-DIAL-CONTROL-MIB"): "CISCO_DIAL_CONTROL_MIB.CISCODIALCONTROLMIB",
    ("urn:ietf:params:xml:ns:yang:smiv2:CISCO-DOT3-OAM-MIB", "CISCO-DOT3-OAM-MIB"): "CISCO_DOT3_OAM_MIB.CISCODOT3OAMMIB",
    ("CISCO-DOT3-OAM-MIB", "CISCO-DOT3-OAM-MIB"): "CISCO_DOT3_OAM_MIB.CISCODOT3OAMMIB",
    ("urn:ietf:params:xml:ns:yang:smiv2:CISCO-DYNAMIC-TEMPLATE-MIB", "CISCO-DYNAMIC-TEMPLATE-MIB"): "CISCO_DYNAMIC_TEMPLATE_MIB.CISCODYNAMICTEMPLATEMIB",
    ("CISCO-DYNAMIC-TEMPLATE-MIB", "CISCO-DYNAMIC-TEMPLATE-MIB"): "CISCO_DYNAMIC_TEMPLATE_MIB.CISCODYNAMICTEMPLATEMIB",
    ("urn:ietf:params:xml:ns:yang:smiv2:CISCO-EIGRP-MIB", "CISCO-EIGRP-MIB"): "CISCO_EIGRP_MIB.CISCOEIGRPMIB",
    ("CISCO-EIGRP-MIB", "CISCO-EIGRP-MIB"): "CISCO_EIGRP_MIB.CISCOEIGRPMIB",
    ("urn:ietf:params:xml:ns:yang:smiv2:CISCO-EMBEDDED-EVENT-MGR-MIB", "CISCO-EMBEDDED-EVENT-MGR-MIB"): "CISCO_EMBEDDED_EVENT_MGR_MIB.CISCOEMBEDDEDEVENTMGRMIB",
    ("CISCO-EMBEDDED-EVENT-MGR-MIB", "CISCO-EMBEDDED-EVENT-MGR-MIB"): "CISCO_EMBEDDED_EVENT_MGR_MIB.CISCOEMBEDDEDEVENTMGRMIB",
    ("urn:ietf:params:xml:ns:yang:smiv2:CISCO-ENHANCED-MEMPOOL-MIB", "CISCO-ENHANCED-MEMPOOL-MIB"): "CISCO_ENHANCED_MEMPOOL_MIB.CISCOENHANCEDMEMPOOLMIB",
    ("CISCO-ENHANCED-MEMPOOL-MIB", "CISCO-ENHANCED-MEMPOOL-MIB"): "CISCO_ENHANCED_MEMPOOL_MIB.CISCOENHANCEDMEMPOOLMIB",
    ("urn:ietf:params:xml:ns:yang:smiv2:CISCO-ENTITY-ALARM-MIB", "CISCO-ENTITY-ALARM-MIB"): "CISCO_ENTITY_ALARM_MIB.CISCOENTITYALARMMIB",
    ("CISCO-ENTITY-ALARM-MIB", "CISCO-ENTITY-ALARM-MIB"): "CISCO_ENTITY_ALARM_MIB.CISCOENTITYALARMMIB",
    ("urn:ietf:params:xml:ns:yang:smiv2:CISCO-ENTITY-EXT-MIB", "CISCO-ENTITY-EXT-MIB"): "CISCO_ENTITY_EXT_MIB.CISCOENTITYEXTMIB",
    ("CISCO-ENTITY-EXT-MIB", "CISCO-ENTITY-EXT-MIB"): "CISCO_ENTITY_EXT_MIB.CISCOENTITYEXTMIB",
    ("urn:ietf:params:xml:ns:yang:smiv2:CISCO-ENTITY-FRU-CONTROL-MIB", "CISCO-ENTITY-FRU-CONTROL-MIB"): "CISCO_ENTITY_FRU_CONTROL_MIB.CISCOENTITYFRUCONTROLMIB",
    ("CISCO-ENTITY-FRU-CONTROL-MIB", "CISCO-ENTITY-FRU-CONTROL-MIB"): "CISCO_ENTITY_FRU_CONTROL_MIB.CISCOENTITYFRUCONTROLMIB",
    ("urn:ietf:params:xml:ns:yang:smiv2:CISCO-ENTITY-QFP-MIB", "CISCO-ENTITY-QFP-MIB"): "CISCO_ENTITY_QFP_MIB.CISCOENTITYQFPMIB",
    ("CISCO-ENTITY-QFP-MIB", "CISCO-ENTITY-QFP-MIB"): "CISCO_ENTITY_QFP_MIB.CISCOENTITYQFPMIB",
    ("urn:ietf:params:xml:ns:yang:smiv2:CISCO-ENTITY-SENSOR-MIB", "CISCO-ENTITY-SENSOR-MIB"): "CISCO_ENTITY_SENSOR_MIB.CISCOENTITYSENSORMIB",
    ("CISCO-ENTITY-SENSOR-MIB", "CISCO-ENTITY-SENSOR-MIB"): "CISCO_ENTITY_SENSOR_MIB.CISCOENTITYSENSORMIB",
    ("urn:ietf:params:xml:ns:yang:smiv2:CISCO-ENVMON-MIB", "CISCO-ENVMON-MIB"): "CISCO_ENVMON_MIB.CISCOENVMONMIB",
    ("CISCO-ENVMON-MIB", "CISCO-ENVMON-MIB"): "CISCO_ENVMON_MIB.CISCOENVMONMIB",
    ("urn:ietf:params:xml:ns:yang:smiv2:CISCO-ETHERLIKE-EXT-MIB", "CISCO-ETHERLIKE-EXT-MIB"): "CISCO_ETHERLIKE_EXT_MIB.CISCOETHERLIKEEXTMIB",
    ("CISCO-ETHERLIKE-EXT-MIB", "CISCO-ETHERLIKE-EXT-MIB"): "CISCO_ETHERLIKE_EXT_MIB.CISCOETHERLIKEEXTMIB",
    ("urn:ietf:params:xml:ns:yang:smiv2:CISCO-ETHER-CFM-MIB", "CISCO-ETHER-CFM-MIB"): "CISCO_ETHER_CFM_MIB.CISCOETHERCFMMIB",
    ("CISCO-ETHER-CFM-MIB", "CISCO-ETHER-CFM-MIB"): "CISCO_ETHER_CFM_MIB.CISCOETHERCFMMIB",
    ("urn:ietf:params:xml:ns:yang:smiv2:CISCO-FLASH-MIB", "CISCO-FLASH-MIB"): "CISCO_FLASH_MIB.CISCOFLASHMIB",
    ("CISCO-FLASH-MIB", "CISCO-FLASH-MIB"): "CISCO_FLASH_MIB.CISCOFLASHMIB",
    ("urn:ietf:params:xml:ns:yang:smiv2:CISCO-FTP-CLIENT-MIB", "CISCO-FTP-CLIENT-MIB"): "CISCO_FTP_CLIENT_MIB.CISCOFTPCLIENTMIB",
    ("CISCO-FTP-CLIENT-MIB", "CISCO-FTP-CLIENT-MIB"): "CISCO_FTP_CLIENT_MIB.CISCOFTPCLIENTMIB",
    ("urn:ietf:params:xml:ns:yang:smiv2:CISCO-HSRP-EXT-MIB", "CISCO-HSRP-EXT-MIB"): "CISCO_HSRP_EXT_MIB.CISCOHSRPEXTMIB",
    ("CISCO-HSRP-EXT-MIB", "CISCO-HSRP-EXT-MIB"): "CISCO_HSRP_EXT_MIB.CISCOHSRPEXTMIB",
    ("urn:ietf:params:xml:ns:yang:smiv2:CISCO-HSRP-MIB", "CISCO-HSRP-MIB"): "CISCO_HSRP_MIB.CISCOHSRPMIB",
    ("CISCO-HSRP-MIB", "CISCO-HSRP-MIB"): "CISCO_HSRP_MIB.CISCOHSRPMIB",
    ("urn:ietf:params:xml:ns:yang:smiv2:CISCO-IETF-ATM2-PVCTRAP-MIB", "CISCO-IETF-ATM2-PVCTRAP-MIB"): "CISCO_IETF_ATM2_PVCTRAP_MIB.CISCOIETFATM2PVCTRAPMIB",
    ("CISCO-IETF-ATM2-PVCTRAP-MIB", "CISCO-IETF-ATM2-PVCTRAP-MIB"): "CISCO_IETF_ATM2_PVCTRAP_MIB.CISCOIETFATM2PVCTRAPMIB",
    ("urn:ietf:params:xml:ns:yang:smiv2:CISCO-IETF-ATM2-PVCTRAP-MIB-EXTN", "CISCO-IETF-ATM2-PVCTRAP-MIB-EXTN"): "CISCO_IETF_ATM2_PVCTRAP_MIB_EXTN.CISCOIETFATM2PVCTRAPMIBEXTN",
    ("CISCO-IETF-ATM2-PVCTRAP-MIB-EXTN", "CISCO-IETF-ATM2-PVCTRAP-MIB-EXTN"): "CISCO_IETF_ATM2_PVCTRAP_MIB_EXTN.CISCOIETFATM2PVCTRAPMIBEXTN",
    ("urn:ietf:params:xml:ns:yang:smiv2:CISCO-IETF-BFD-MIB", "CISCO-IETF-BFD-MIB"): "CISCO_IETF_BFD_MIB.CISCOIETFBFDMIB",
    ("CISCO-IETF-BFD-MIB", "CISCO-IETF-BFD-MIB"): "CISCO_IETF_BFD_MIB.CISCOIETFBFDMIB",
    ("urn:ietf:params:xml:ns:yang:smiv2:CISCO-IETF-FRR-MIB", "CISCO-IETF-FRR-MIB"): "CISCO_IETF_FRR_MIB.CISCOIETFFRRMIB",
    ("CISCO-IETF-FRR-MIB", "CISCO-IETF-FRR-MIB"): "CISCO_IETF_FRR_MIB.CISCOIETFFRRMIB",
    ("urn:ietf:params:xml:ns:yang:smiv2:CISCO-IETF-ISIS-MIB", "CISCO-IETF-ISIS-MIB"): "CISCO_IETF_ISIS_MIB.CISCOIETFISISMIB",
    ("CISCO-IETF-ISIS-MIB", "CISCO-IETF-ISIS-MIB"): "CISCO_IETF_ISIS_MIB.CISCOIETFISISMIB",
    ("urn:ietf:params:xml:ns:yang:smiv2:CISCO-IETF-MPLS-ID-STD-03-MIB", "CISCO-IETF-MPLS-ID-STD-03-MIB"): "CISCO_IETF_MPLS_ID_STD_03_MIB.CISCOIETFMPLSIDSTD03MIB",
    ("CISCO-IETF-MPLS-ID-STD-03-MIB", "CISCO-IETF-MPLS-ID-STD-03-MIB"): "CISCO_IETF_MPLS_ID_STD_03_MIB.CISCOIETFMPLSIDSTD03MIB",
    ("urn:ietf:params:xml:ns:yang:smiv2:CISCO-IETF-MPLS-TE-EXT-STD-03-MIB", "CISCO-IETF-MPLS-TE-EXT-STD-03-MIB"): "CISCO_IETF_MPLS_TE_EXT_STD_03_MIB.CISCOIETFMPLSTEEXTSTD03MIB",
    ("CISCO-IETF-MPLS-TE-EXT-STD-03-MIB", "CISCO-IETF-MPLS-TE-EXT-STD-03-MIB"): "CISCO_IETF_MPLS_TE_EXT_STD_03_MIB.CISCOIETFMPLSTEEXTSTD03MIB",
    ("urn:ietf:params:xml:ns:yang:smiv2:CISCO-IETF-PW-ATM-MIB", "CISCO-IETF-PW-ATM-MIB"): "CISCO_IETF_PW_ATM_MIB.CISCOIETFPWATMMIB",
    ("CISCO-IETF-PW-ATM-MIB", "CISCO-IETF-PW-ATM-MIB"): "CISCO_IETF_PW_ATM_MIB.CISCOIETFPWATMMIB",
    ("urn:ietf:params:xml:ns:yang:smiv2:CISCO-IETF-PW-ENET-MIB", "CISCO-IETF-PW-ENET-MIB"): "CISCO_IETF_PW_ENET_MIB.CISCOIETFPWENETMIB",
    ("CISCO-IETF-PW-ENET-MIB", "CISCO-IETF-PW-ENET-MIB"): "CISCO_IETF_PW_ENET_MIB.CISCOIETFPWENETMIB",
    ("urn:ietf:params:xml:ns:yang:smiv2:CISCO-IETF-PW-MIB", "CISCO-IETF-PW-MIB"): "CISCO_IETF_PW_MIB.CISCOIETFPWMIB",
    ("CISCO-IETF-PW-MIB", "CISCO-IETF-PW-MIB"): "CISCO_IETF_PW_MIB.CISCOIETFPWMIB",
    ("urn:ietf:params:xml:ns:yang:smiv2:CISCO-IETF-PW-MPLS-MIB", "CISCO-IETF-PW-MPLS-MIB"): "CISCO_IETF_PW_MPLS_MIB.CISCOIETFPWMPLSMIB",
    ("CISCO-IETF-PW-MPLS-MIB", "CISCO-IETF-PW-MPLS-MIB"): "CISCO_IETF_PW_MPLS_MIB.CISCOIETFPWMPLSMIB",
    ("urn:ietf:params:xml:ns:yang:smiv2:CISCO-IETF-PW-TDM-MIB", "CISCO-IETF-PW-TDM-MIB"): "CISCO_IETF_PW_TDM_MIB.CISCOIETFPWTDMMIB",
    ("CISCO-IETF-PW-TDM-MIB", "CISCO-IETF-PW-TDM-MIB"): "CISCO_IETF_PW_TDM_MIB.CISCOIETFPWTDMMIB",
    ("urn:ietf:params:xml:ns:yang:smiv2:CISCO-IF-EXTENSION-MIB", "CISCO-IF-EXTENSION-MIB"): "CISCO_IF_EXTENSION_MIB.CISCOIFEXTENSIONMIB",
    ("CISCO-IF-EXTENSION-MIB", "CISCO-IF-EXTENSION-MIB"): "CISCO_IF_EXTENSION_MIB.CISCOIFEXTENSIONMIB",
    ("urn:ietf:params:xml:ns:yang:smiv2:CISCO-IGMP-FILTER-MIB", "CISCO-IGMP-FILTER-MIB"): "CISCO_IGMP_FILTER_MIB.CISCOIGMPFILTERMIB",
    ("CISCO-IGMP-FILTER-MIB", "CISCO-IGMP-FILTER-MIB"): "CISCO_IGMP_FILTER_MIB.CISCOIGMPFILTERMIB",
    ("urn:ietf:params:xml:ns:yang:smiv2:CISCO-IMAGE-LICENSE-MGMT-MIB", "CISCO-IMAGE-LICENSE-MGMT-MIB"): "CISCO_IMAGE_LICENSE_MGMT_MIB.CISCOIMAGELICENSEMGMTMIB",
    ("CISCO-IMAGE-LICENSE-MGMT-MIB", "CISCO-IMAGE-LICENSE-MGMT-MIB"): "CISCO_IMAGE_LICENSE_MGMT_MIB.CISCOIMAGELICENSEMGMTMIB",
    ("urn:ietf:params:xml:ns:yang:smiv2:CISCO-IMAGE-MIB", "CISCO-IMAGE-MIB"): "CISCO_IMAGE_MIB.CISCOIMAGEMIB",
    ("CISCO-IMAGE-MIB", "CISCO-IMAGE-MIB"): "CISCO_IMAGE_MIB.CISCOIMAGEMIB",
    ("urn:ietf:params:xml:ns:yang:smiv2:CISCO-IPMROUTE-MIB", "CISCO-IPMROUTE-MIB"): "CISCO_IPMROUTE_MIB.CISCOIPMROUTEMIB",
    ("CISCO-IPMROUTE-MIB", "CISCO-IPMROUTE-MIB"): "CISCO_IPMROUTE_MIB.CISCOIPMROUTEMIB",
    ("urn:ietf:params:xml:ns:yang:smiv2:CISCO-IPSEC-FLOW-MONITOR-MIB", "CISCO-IPSEC-FLOW-MONITOR-MIB"): "CISCO_IPSEC_FLOW_MONITOR_MIB.CISCOIPSECFLOWMONITORMIB",
    ("CISCO-IPSEC-FLOW-MONITOR-MIB", "CISCO-IPSEC-FLOW-MONITOR-MIB"): "CISCO_IPSEC_FLOW_MONITOR_MIB.CISCOIPSECFLOWMONITORMIB",
    ("urn:ietf:params:xml:ns:yang:smiv2:CISCO-IPSEC-MIB", "CISCO-IPSEC-MIB"): "CISCO_IPSEC_MIB.CISCOIPSECMIB",
    ("CISCO-IPSEC-MIB", "CISCO-IPSEC-MIB"): "CISCO_IPSEC_MIB.CISCOIPSECMIB",
    ("urn:ietf:params:xml:ns:yang:smiv2:CISCO-IPSEC-POLICY-MAP-MIB", "CISCO-IPSEC-POLICY-MAP-MIB"): "CISCO_IPSEC_POLICY_MAP_MIB.CISCOIPSECPOLICYMAPMIB",
    ("CISCO-IPSEC-POLICY-MAP-MIB", "CISCO-IPSEC-POLICY-MAP-MIB"): "CISCO_IPSEC_POLICY_MAP_MIB.CISCOIPSECPOLICYMAPMIB",
    ("urn:ietf:params:xml:ns:yang:smiv2:CISCO-IPSLA-AUTOMEASURE-MIB", "CISCO-IPSLA-AUTOMEASURE-MIB"): "CISCO_IPSLA_AUTOMEASURE_MIB.CISCOIPSLAAUTOMEASUREMIB",
    ("CISCO-IPSLA-AUTOMEASURE-MIB", "CISCO-IPSLA-AUTOMEASURE-MIB"): "CISCO_IPSLA_AUTOMEASURE_MIB.CISCOIPSLAAUTOMEASUREMIB",
    ("urn:ietf:params:xml:ns:yang:smiv2:CISCO-IPSLA-ECHO-MIB", "CISCO-IPSLA-ECHO-MIB"): "CISCO_IPSLA_ECHO_MIB.CISCOIPSLAECHOMIB",
    ("CISCO-IPSLA-ECHO-MIB", "CISCO-IPSLA-ECHO-MIB"): "CISCO_IPSLA_ECHO_MIB.CISCOIPSLAECHOMIB",
    ("urn:ietf:params:xml:ns:yang:smiv2:CISCO-IPSLA-JITTER-MIB", "CISCO-IPSLA-JITTER-MIB"): "CISCO_IPSLA_JITTER_MIB.CISCOIPSLAJITTERMIB",
    ("CISCO-IPSLA-JITTER-MIB", "CISCO-IPSLA-JITTER-MIB"): "CISCO_IPSLA_JITTER_MIB.CISCOIPSLAJITTERMIB",
    ("urn:ietf:params:xml:ns:yang:smiv2:CISCO-IP-LOCAL-POOL-MIB", "CISCO-IP-LOCAL-POOL-MIB"): "CISCO_IP_LOCAL_POOL_MIB.CISCOIPLOCALPOOLMIB",
    ("CISCO-IP-LOCAL-POOL-MIB", "CISCO-IP-LOCAL-POOL-MIB"): "CISCO_IP_LOCAL_POOL_MIB.CISCOIPLOCALPOOLMIB",
    ("urn:ietf:params:xml:ns:yang:smiv2:CISCO-IP-TAP-MIB", "CISCO-IP-TAP-MIB"): "CISCO_IP_TAP_MIB.CISCOIPTAPMIB",
    ("CISCO-IP-TAP-MIB", "CISCO-IP-TAP-MIB"): "CISCO_IP_TAP_MIB.CISCOIPTAPMIB",
    ("urn:ietf:params:xml:ns:yang:smiv2:CISCO-IP-URPF-MIB", "CISCO-IP-URPF-MIB"): "CISCO_IP_URPF_MIB.CISCOIPURPFMIB",
    ("CISCO-IP-URPF-MIB", "CISCO-IP-URPF-MIB"): "CISCO_IP_URPF_MIB.CISCOIPURPFMIB",
    ("urn:ietf:params:xml:ns:yang:smiv2:CISCO-LICENSE-MGMT-MIB", "CISCO-LICENSE-MGMT-MIB"): "CISCO_LICENSE_MGMT_MIB.CISCOLICENSEMGMTMIB",
    ("CISCO-LICENSE-MGMT-MIB", "CISCO-LICENSE-MGMT-MIB"): "CISCO_LICENSE_MGMT_MIB.CISCOLICENSEMGMTMIB",
    ("urn:ietf:params:xml:ns:yang:smiv2:CISCO-MEDIA-GATEWAY-MIB", "CISCO-MEDIA-GATEWAY-MIB"): "CISCO_MEDIA_GATEWAY_MIB.CISCOMEDIAGATEWAYMIB",
    ("CISCO-MEDIA-GATEWAY-MIB", "CISCO-MEDIA-GATEWAY-MIB"): "CISCO_MEDIA_GATEWAY_MIB.CISCOMEDIAGATEWAYMIB",
    ("urn:ietf:params:xml:ns:yang:smiv2:CISCO-MPLS-LSR-EXT-STD-MIB", "CISCO-MPLS-LSR-EXT-STD-MIB"): "CISCO_MPLS_LSR_EXT_STD_MIB.CISCOMPLSLSREXTSTDMIB",
    ("CISCO-MPLS-LSR-EXT-STD-MIB", "CISCO-MPLS-LSR-EXT-STD-MIB"): "CISCO_MPLS_LSR_EXT_STD_MIB.CISCOMPLSLSREXTSTDMIB",
    ("urn:ietf:params:xml:ns:yang:smiv2:CISCO-NBAR-PROTOCOL-DISCOVERY-MIB", "CISCO-NBAR-PROTOCOL-DISCOVERY-MIB"): "CISCO_NBAR_PROTOCOL_DISCOVERY_MIB.CISCONBARPROTOCOLDISCOVERYMIB",
    ("CISCO-NBAR-PROTOCOL-DISCOVERY-MIB", "CISCO-NBAR-PROTOCOL-DISCOVERY-MIB"): "CISCO_NBAR_PROTOCOL_DISCOVERY_MIB.CISCONBARPROTOCOLDISCOVERYMIB",
    ("urn:ietf:params:xml:ns:yang:smiv2:CISCO-NETSYNC-MIB", "CISCO-NETSYNC-MIB"): "CISCO_NETSYNC_MIB.CISCONETSYNCMIB",
    ("CISCO-NETSYNC-MIB", "CISCO-NETSYNC-MIB"): "CISCO_NETSYNC_MIB.CISCONETSYNCMIB",
    ("urn:ietf:params:xml:ns:yang:smiv2:CISCO-NTP-MIB", "CISCO-NTP-MIB"): "CISCO_NTP_MIB.CISCONTPMIB",
    ("CISCO-NTP-MIB", "CISCO-NTP-MIB"): "CISCO_NTP_MIB.CISCONTPMIB",
    ("urn:ietf:params:xml:ns:yang:smiv2:CISCO-OSPF-MIB", "CISCO-OSPF-MIB"): "CISCO_OSPF_MIB.CISCOOSPFMIB",
    ("CISCO-OSPF-MIB", "CISCO-OSPF-MIB"): "CISCO_OSPF_MIB.CISCOOSPFMIB",
    ("urn:ietf:params:xml:ns:yang:smiv2:CISCO-OSPF-TRAP-MIB", "CISCO-OSPF-TRAP-MIB"): "CISCO_OSPF_TRAP_MIB.CISCOOSPFTRAPMIB",
    ("CISCO-OSPF-TRAP-MIB", "CISCO-OSPF-TRAP-MIB"): "CISCO_OSPF_TRAP_MIB.CISCOOSPFTRAPMIB",
    ("urn:ietf:params:xml:ns:yang:smiv2:CISCO-PIM-MIB", "CISCO-PIM-MIB"): "CISCO_PIM_MIB.CISCOPIMMIB",
    ("CISCO-PIM-MIB", "CISCO-PIM-MIB"): "CISCO_PIM_MIB.CISCOPIMMIB",
    ("urn:ietf:params:xml:ns:yang:smiv2:CISCO-PING-MIB", "CISCO-PING-MIB"): "CISCO_PING_MIB.CISCOPINGMIB",
    ("CISCO-PING-MIB", "CISCO-PING-MIB"): "CISCO_PING_MIB.CISCOPINGMIB",
    ("urn:ietf:params:xml:ns:yang:smiv2:CISCO-PROCESS-MIB", "CISCO-PROCESS-MIB"): "CISCO_PROCESS_MIB.CISCOPROCESSMIB",
    ("CISCO-PROCESS-MIB", "CISCO-PROCESS-MIB"): "CISCO_PROCESS_MIB.CISCOPROCESSMIB",
    ("urn:ietf:params:xml:ns:yang:smiv2:CISCO-PTP-MIB", "CISCO-PTP-MIB"): "CISCO_PTP_MIB.CISCOPTPMIB",
    ("CISCO-PTP-MIB", "CISCO-PTP-MIB"): "CISCO_PTP_MIB.CISCOPTPMIB",
    ("urn:ietf:params:xml:ns:yang:smiv2:CISCO-QOS-PIB-MIB", "CISCO-QOS-PIB-MIB"): "CISCO_QOS_PIB_MIB.CISCOQOSPIBMIB",
    ("CISCO-QOS-PIB-MIB", "CISCO-QOS-PIB-MIB"): "CISCO_QOS_PIB_MIB.CISCOQOSPIBMIB",
    ("urn:ietf:params:xml:ns:yang:smiv2:CISCO-RADIUS-EXT-MIB", "CISCO-RADIUS-EXT-MIB"): "CISCO_RADIUS_EXT_MIB.CISCORADIUSEXTMIB",
    ("CISCO-RADIUS-EXT-MIB", "CISCO-RADIUS-EXT-MIB"): "CISCO_RADIUS_EXT_MIB.CISCORADIUSEXTMIB",
    ("urn:ietf:params:xml:ns:yang:smiv2:CISCO-RF-MIB", "CISCO-RF-MIB"): "CISCO_RF_MIB.CISCORFMIB",
    ("CISCO-RF-MIB", "CISCO-RF-MIB"): "CISCO_RF_MIB.CISCORFMIB",
    ("urn:ietf:params:xml:ns:yang:smiv2:CISCO-RTTMON-MIB", "CISCO-RTTMON-MIB"): "CISCO_RTTMON_MIB.CISCORTTMONMIB",
    ("CISCO-RTTMON-MIB", "CISCO-RTTMON-MIB"): "CISCO_RTTMON_MIB.CISCORTTMONMIB",
    ("urn:ietf:params:xml:ns:yang:smiv2:CISCO-SESS-BORDER-CTRLR-CALL-STATS-MIB", "CISCO-SESS-BORDER-CTRLR-CALL-STATS-MIB"): "CISCO_SESS_BORDER_CTRLR_CALL_STATS_MIB.CISCOSESSBORDERCTRLRCALLSTATSMIB",
    ("CISCO-SESS-BORDER-CTRLR-CALL-STATS-MIB", "CISCO-SESS-BORDER-CTRLR-CALL-STATS-MIB"): "CISCO_SESS_BORDER_CTRLR_CALL_STATS_MIB.CISCOSESSBORDERCTRLRCALLSTATSMIB",
    ("urn:ietf:params:xml:ns:yang:smiv2:CISCO-SESS-BORDER-CTRLR-STATS-MIB", "CISCO-SESS-BORDER-CTRLR-STATS-MIB"): "CISCO_SESS_BORDER_CTRLR_STATS_MIB.CISCOSESSBORDERCTRLRSTATSMIB",
    ("CISCO-SESS-BORDER-CTRLR-STATS-MIB", "CISCO-SESS-BORDER-CTRLR-STATS-MIB"): "CISCO_SESS_BORDER_CTRLR_STATS_MIB.CISCOSESSBORDERCTRLRSTATSMIB",
    ("urn:ietf:params:xml:ns:yang:smiv2:CISCO-SIP-UA-MIB", "CISCO-SIP-UA-MIB"): "CISCO_SIP_UA_MIB.CISCOSIPUAMIB",
    ("CISCO-SIP-UA-MIB", "CISCO-SIP-UA-MIB"): "CISCO_SIP_UA_MIB.CISCOSIPUAMIB",
    ("urn:ietf:params:xml:ns:yang:smiv2:CISCO-SONET-MIB", "CISCO-SONET-MIB"): "CISCO_SONET_MIB.CISCOSONETMIB",
    ("CISCO-SONET-MIB", "CISCO-SONET-MIB"): "CISCO_SONET_MIB.CISCOSONETMIB",
    ("urn:ietf:params:xml:ns:yang:smiv2:CISCO-STP-EXTENSIONS-MIB", "CISCO-STP-EXTENSIONS-MIB"): "CISCO_STP_EXTENSIONS_MIB.CISCOSTPEXTENSIONSMIB",
    ("CISCO-STP-EXTENSIONS-MIB", "CISCO-STP-EXTENSIONS-MIB"): "CISCO_STP_EXTENSIONS_MIB.CISCOSTPEXTENSIONSMIB",
    ("urn:ietf:params:xml:ns:yang:smiv2:CISCO-SUBSCRIBER-SESSION-MIB", "CISCO-SUBSCRIBER-SESSION-MIB"): "CISCO_SUBSCRIBER_SESSION_MIB.CISCOSUBSCRIBERSESSIONMIB",
    ("CISCO-SUBSCRIBER-SESSION-MIB", "CISCO-SUBSCRIBER-SESSION-MIB"): "CISCO_SUBSCRIBER_SESSION_MIB.CISCOSUBSCRIBERSESSIONMIB",
    ("urn:ietf:params:xml:ns:yang:smiv2:CISCO-SYSLOG-MIB", "CISCO-SYSLOG-MIB"): "CISCO_SYSLOG_MIB.CISCOSYSLOGMIB",
    ("CISCO-SYSLOG-MIB", "CISCO-SYSLOG-MIB"): "CISCO_SYSLOG_MIB.CISCOSYSLOGMIB",
    ("urn:ietf:params:xml:ns:yang:smiv2:CISCO-TAP2-MIB", "CISCO-TAP2-MIB"): "CISCO_TAP2_MIB.CISCOTAP2MIB",
    ("CISCO-TAP2-MIB", "CISCO-TAP2-MIB"): "CISCO_TAP2_MIB.CISCOTAP2MIB",
    ("urn:ietf:params:xml:ns:yang:smiv2:CISCO-UBE-MIB", "CISCO-UBE-MIB"): "CISCO_UBE_MIB.CISCOUBEMIB",
    ("CISCO-UBE-MIB", "CISCO-UBE-MIB"): "CISCO_UBE_MIB.CISCOUBEMIB",
    ("urn:ietf:params:xml:ns:yang:smiv2:CISCO-UNIFIED-FIREWALL-MIB", "CISCO-UNIFIED-FIREWALL-MIB"): "CISCO_UNIFIED_FIREWALL_MIB.CISCOUNIFIEDFIREWALLMIB",
    ("CISCO-UNIFIED-FIREWALL-MIB", "CISCO-UNIFIED-FIREWALL-MIB"): "CISCO_UNIFIED_FIREWALL_MIB.CISCOUNIFIEDFIREWALLMIB",
    ("urn:ietf:params:xml:ns:yang:smiv2:CISCO-VLAN-IFTABLE-RELATIONSHIP-MIB", "CISCO-VLAN-IFTABLE-RELATIONSHIP-MIB"): "CISCO_VLAN_IFTABLE_RELATIONSHIP_MIB.CISCOVLANIFTABLERELATIONSHIPMIB",
    ("CISCO-VLAN-IFTABLE-RELATIONSHIP-MIB", "CISCO-VLAN-IFTABLE-RELATIONSHIP-MIB"): "CISCO_VLAN_IFTABLE_RELATIONSHIP_MIB.CISCOVLANIFTABLERELATIONSHIPMIB",
    ("urn:ietf:params:xml:ns:yang:smiv2:CISCO-VLAN-MEMBERSHIP-MIB", "CISCO-VLAN-MEMBERSHIP-MIB"): "CISCO_VLAN_MEMBERSHIP_MIB.CISCOVLANMEMBERSHIPMIB",
    ("CISCO-VLAN-MEMBERSHIP-MIB", "CISCO-VLAN-MEMBERSHIP-MIB"): "CISCO_VLAN_MEMBERSHIP_MIB.CISCOVLANMEMBERSHIPMIB",
    ("urn:ietf:params:xml:ns:yang:smiv2:CISCO-VOICE-COMMON-DIAL-CONTROL-MIB", "CISCO-VOICE-COMMON-DIAL-CONTROL-MIB"): "CISCO_VOICE_COMMON_DIAL_CONTROL_MIB.CISCOVOICECOMMONDIALCONTROLMIB",
    ("CISCO-VOICE-COMMON-DIAL-CONTROL-MIB", "CISCO-VOICE-COMMON-DIAL-CONTROL-MIB"): "CISCO_VOICE_COMMON_DIAL_CONTROL_MIB.CISCOVOICECOMMONDIALCONTROLMIB",
    ("urn:ietf:params:xml:ns:yang:smiv2:CISCO-VOICE-DIAL-CONTROL-MIB", "CISCO-VOICE-DIAL-CONTROL-MIB"): "CISCO_VOICE_DIAL_CONTROL_MIB.CISCOVOICEDIALCONTROLMIB",
    ("CISCO-VOICE-DIAL-CONTROL-MIB", "CISCO-VOICE-DIAL-CONTROL-MIB"): "CISCO_VOICE_DIAL_CONTROL_MIB.CISCOVOICEDIALCONTROLMIB",
    ("urn:ietf:params:xml:ns:yang:smiv2:CISCO-VOICE-DNIS-MIB", "CISCO-VOICE-DNIS-MIB"): "CISCO_VOICE_DNIS_MIB.CISCOVOICEDNISMIB",
    ("CISCO-VOICE-DNIS-MIB", "CISCO-VOICE-DNIS-MIB"): "CISCO_VOICE_DNIS_MIB.CISCOVOICEDNISMIB",
    ("urn:ietf:params:xml:ns:yang:smiv2:CISCO-VPDN-MGMT-MIB", "CISCO-VPDN-MGMT-MIB"): "CISCO_VPDN_MGMT_MIB.CISCOVPDNMGMTMIB",
    ("CISCO-VPDN-MGMT-MIB", "CISCO-VPDN-MGMT-MIB"): "CISCO_VPDN_MGMT_MIB.CISCOVPDNMGMTMIB",
    ("urn:ietf:params:xml:ns:yang:smiv2:CISCO-VTP-MIB", "CISCO-VTP-MIB"): "CISCO_VTP_MIB.CISCOVTPMIB",
    ("CISCO-VTP-MIB", "CISCO-VTP-MIB"): "CISCO_VTP_MIB.CISCOVTPMIB",
    ("http://cisco.com/ns/yang/Cisco-IOS-XE-acl-oper", "access-lists"): "Cisco_IOS_XE_acl_oper.AccessLists",
    ("Cisco-IOS-XE-acl-oper", "access-lists"): "Cisco_IOS_XE_acl_oper.AccessLists",
    ("http://cisco.com/ns/yang/Cisco-IOS-XE-bfd-oper", "bfd-state"): "Cisco_IOS_XE_bfd_oper.BfdState",
    ("Cisco-IOS-XE-bfd-oper", "bfd-state"): "Cisco_IOS_XE_bfd_oper.BfdState",
    ("http://cisco.com/ns/yang/Cisco-IOS-XE-bgp-oper", "bgp-state-data"): "Cisco_IOS_XE_bgp_oper.BgpStateData",
    ("Cisco-IOS-XE-bgp-oper", "bgp-state-data"): "Cisco_IOS_XE_bgp_oper.BgpStateData",
    ("http://cisco.com/ns/yang/Cisco-IOS-XE-cdp-oper", "cdp-neighbour-details"): "Cisco_IOS_XE_cdp_oper.CdpNeighbourDetails",
    ("Cisco-IOS-XE-cdp-oper", "cdp-neighbour-details"): "Cisco_IOS_XE_cdp_oper.CdpNeighbourDetails",
    ("http://cisco.com/ns/yang/Cisco-IOS-XE-cfm-oper", "cfm-statistics"): "Cisco_IOS_XE_cfm_oper.CfmStatistics",
    ("Cisco-IOS-XE-cfm-oper", "cfm-statistics"): "Cisco_IOS_XE_cfm_oper.CfmStatistics",
    ("http://cisco.com/ns/yang/Cisco-IOS-XE-checkpoint-archive-oper", "checkpoint-archives"): "Cisco_IOS_XE_checkpoint_archive_oper.CheckpointArchives",
    ("Cisco-IOS-XE-checkpoint-archive-oper", "checkpoint-archives"): "Cisco_IOS_XE_checkpoint_archive_oper.CheckpointArchives",
    ("http://cisco.com/ns/yang/Cisco-IOS-XE-diffserv-target-oper", "diffserv-interfaces-state"): "Cisco_IOS_XE_diffserv_target_oper.DiffservInterfacesState",
    ("Cisco-IOS-XE-diffserv-target-oper", "diffserv-interfaces-state"): "Cisco_IOS_XE_diffserv_target_oper.DiffservInterfacesState",
    ("http://cisco.com/ns/yang/Cisco-IOS-XE-efp-oper", "efp-stats"): "Cisco_IOS_XE_efp_oper.EfpStats",
    ("Cisco-IOS-XE-efp-oper", "efp-stats"): "Cisco_IOS_XE_efp_oper.EfpStats",
    ("http://cisco.com/ns/yang/Cisco-IOS-XE-environment-oper", "environment-sensors"): "Cisco_IOS_XE_environment_oper.EnvironmentSensors",
    ("Cisco-IOS-XE-environment-oper", "environment-sensors"): "Cisco_IOS_XE_environment_oper.EnvironmentSensors",
    ("http://cisco.com/ns/yang/Cisco-IOS-XE-flow-monitor-oper", "flow-monitors"): "Cisco_IOS_XE_flow_monitor_oper.FlowMonitors",
    ("Cisco-IOS-XE-flow-monitor-oper", "flow-monitors"): "Cisco_IOS_XE_flow_monitor_oper.FlowMonitors",
    ("http://cisco.com/ns/yang/Cisco-IOS-XE-ip-sla-oper", "ip-sla-stats"): "Cisco_IOS_XE_ip_sla_oper.IpSlaStats",
    ("Cisco-IOS-XE-ip-sla-oper", "ip-sla-stats"): "Cisco_IOS_XE_ip_sla_oper.IpSlaStats",
    ("http://cisco.com/ns/yang/Cisco-IOS-XE-lldp-oper", "lldp-entries"): "Cisco_IOS_XE_lldp_oper.LldpEntries",
    ("Cisco-IOS-XE-lldp-oper", "lldp-entries"): "Cisco_IOS_XE_lldp_oper.LldpEntries",
    ("http://cisco.com/ns/yang/Cisco-IOS-XE-mdt-cfg", "mdt-subscriptions"): "Cisco_IOS_XE_mdt_cfg.MdtSubscriptions",
    ("Cisco-IOS-XE-mdt-cfg", "mdt-subscriptions"): "Cisco_IOS_XE_mdt_cfg.MdtSubscriptions",
    ("http://cisco.com/ns/yang/Cisco-IOS-XE-mdt-oper", "mdt-oper-data"): "Cisco_IOS_XE_mdt_oper.MdtOperData",
    ("Cisco-IOS-XE-mdt-oper", "mdt-oper-data"): "Cisco_IOS_XE_mdt_oper.MdtOperData",
    ("http://cisco.com/ns/yang/Cisco-IOS-XE-memory-oper", "memory-statistics"): "Cisco_IOS_XE_memory_oper.MemoryStatistics",
    ("Cisco-IOS-XE-memory-oper", "memory-statistics"): "Cisco_IOS_XE_memory_oper.MemoryStatistics",
    ("http://cisco.com/ns/yang/Cisco-IOS-XE-mpls-fwd-oper", "mpls-forwarding-table"): "Cisco_IOS_XE_mpls_fwd_oper.MplsForwardingTable",
    ("Cisco-IOS-XE-mpls-fwd-oper", "mpls-forwarding-table"): "Cisco_IOS_XE_mpls_fwd_oper.MplsForwardingTable",
    ("http://cisco.com/ns/yang/Cisco-IOS-XE-mpls-ldp", "mpls-ldp"): "Cisco_IOS_XE_mpls_ldp.MplsLdp",
    ("Cisco-IOS-XE-mpls-ldp", "mpls-ldp"): "Cisco_IOS_XE_mpls_ldp.MplsLdp",
    ("http://cisco.com/ns/yang/Cisco-IOS-XE-native", "native"): "Cisco_IOS_XE_native.Native",
    ("Cisco-IOS-XE-native", "native"): "Cisco_IOS_XE_native.Native",
    ("http://cisco.com/ns/yang/Cisco-IOS-XE-platform-oper", "components"): "Cisco_IOS_XE_platform_oper.Components",
    ("Cisco-IOS-XE-platform-oper", "components"): "Cisco_IOS_XE_platform_oper.Components",
    ("http://cisco.com/ns/yang/Cisco-IOS-XE-platform-software-oper", "cisco-platform-software"): "Cisco_IOS_XE_platform_software_oper.CiscoPlatformSoftware",
    ("Cisco-IOS-XE-platform-software-oper", "cisco-platform-software"): "Cisco_IOS_XE_platform_software_oper.CiscoPlatformSoftware",
    ("http://cisco.com/ns/yang/Cisco-IOS-XE-process-cpu-oper", "cpu-usage"): "Cisco_IOS_XE_process_cpu_oper.CpuUsage",
    ("Cisco-IOS-XE-process-cpu-oper", "cpu-usage"): "Cisco_IOS_XE_process_cpu_oper.CpuUsage",
    ("http://cisco.com/ns/yang/Cisco-IOS-XE-process-memory-oper", "memory-usage-processes"): "Cisco_IOS_XE_process_memory_oper.MemoryUsageProcesses",
    ("Cisco-IOS-XE-process-memory-oper", "memory-usage-processes"): "Cisco_IOS_XE_process_memory_oper.MemoryUsageProcesses",
    ("http://cisco.com/ns/yang/Cisco-IOS-XE-trustsec-oper", "trustsec-state"): "Cisco_IOS_XE_trustsec_oper.TrustsecState",
    ("Cisco-IOS-XE-trustsec-oper", "trustsec-state"): "Cisco_IOS_XE_trustsec_oper.TrustsecState",
    ("http://cisco.com/ns/yang/Cisco-IOS-XE-virtual-service-oper", "virtual-services"): "Cisco_IOS_XE_virtual_service_oper.VirtualServices",
    ("Cisco-IOS-XE-virtual-service-oper", "virtual-services"): "Cisco_IOS_XE_virtual_service_oper.VirtualServices",
    ("urn:ietf:params:xml:ns:yang:smiv2:DIAL-CONTROL-MIB", "DIAL-CONTROL-MIB"): "DIAL_CONTROL_MIB.DIALCONTROLMIB",
    ("DIAL-CONTROL-MIB", "DIAL-CONTROL-MIB"): "DIAL_CONTROL_MIB.DIALCONTROLMIB",
    ("urn:ietf:params:xml:ns:yang:smiv2:DIFFSERV-MIB", "DIFFSERV-MIB"): "DIFFSERV_MIB.DIFFSERVMIB",
    ("DIFFSERV-MIB", "DIFFSERV-MIB"): "DIFFSERV_MIB.DIFFSERVMIB",
    ("urn:ietf:params:xml:ns:yang:smiv2:DISMAN-EVENT-MIB", "DISMAN-EVENT-MIB"): "DISMAN_EVENT_MIB.DISMANEVENTMIB",
    ("DISMAN-EVENT-MIB", "DISMAN-EVENT-MIB"): "DISMAN_EVENT_MIB.DISMANEVENTMIB",
    ("urn:ietf:params:xml:ns:yang:smiv2:DISMAN-EXPRESSION-MIB", "DISMAN-EXPRESSION-MIB"): "DISMAN_EXPRESSION_MIB.DISMANEXPRESSIONMIB",
    ("DISMAN-EXPRESSION-MIB", "DISMAN-EXPRESSION-MIB"): "DISMAN_EXPRESSION_MIB.DISMANEXPRESSIONMIB",
    ("urn:ietf:params:xml:ns:yang:smiv2:DRAFT-MSDP-MIB", "DRAFT-MSDP-MIB"): "DRAFT_MSDP_MIB.DRAFTMSDPMIB",
    ("DRAFT-MSDP-MIB", "DRAFT-MSDP-MIB"): "DRAFT_MSDP_MIB.DRAFTMSDPMIB",
    ("urn:ietf:params:xml:ns:yang:smiv2:DS1-MIB", "DS1-MIB"): "DS1_MIB.DS1MIB",
    ("DS1-MIB", "DS1-MIB"): "DS1_MIB.DS1MIB",
    ("urn:ietf:params:xml:ns:yang:smiv2:DS3-MIB", "DS3-MIB"): "DS3_MIB.DS3MIB",
    ("DS3-MIB", "DS3-MIB"): "DS3_MIB.DS3MIB",
    ("urn:ietf:params:xml:ns:yang:smiv2:ENTITY-MIB", "ENTITY-MIB"): "ENTITY_MIB.ENTITYMIB",
    ("ENTITY-MIB", "ENTITY-MIB"): "ENTITY_MIB.ENTITYMIB",
    ("urn:ietf:params:xml:ns:yang:smiv2:ENTITY-SENSOR-MIB", "ENTITY-SENSOR-MIB"): "ENTITY_SENSOR_MIB.ENTITYSENSORMIB",
    ("ENTITY-SENSOR-MIB", "ENTITY-SENSOR-MIB"): "ENTITY_SENSOR_MIB.ENTITYSENSORMIB",
    ("urn:ietf:params:xml:ns:yang:smiv2:ENTITY-STATE-MIB", "ENTITY-STATE-MIB"): "ENTITY_STATE_MIB.ENTITYSTATEMIB",
    ("ENTITY-STATE-MIB", "ENTITY-STATE-MIB"): "ENTITY_STATE_MIB.ENTITYSTATEMIB",
    ("urn:ietf:params:xml:ns:yang:smiv2:ETHER-WIS", "ETHER-WIS"): "ETHER_WIS.ETHERWIS",
    ("ETHER-WIS", "ETHER-WIS"): "ETHER_WIS.ETHERWIS",
    ("urn:ietf:params:xml:ns:yang:smiv2:EXPRESSION-MIB", "EXPRESSION-MIB"): "EXPRESSION_MIB.EXPRESSIONMIB",
    ("EXPRESSION-MIB", "EXPRESSION-MIB"): "EXPRESSION_MIB.EXPRESSIONMIB",
    ("urn:ietf:params:xml:ns:yang:smiv2:EtherLike-MIB", "EtherLike-MIB"): "EtherLike_MIB.EtherLikeMIB",
    ("EtherLike-MIB", "EtherLike-MIB"): "EtherLike_MIB.EtherLikeMIB",
    ("urn:ietf:params:xml:ns:yang:smiv2:FRAME-RELAY-DTE-MIB", "FRAME-RELAY-DTE-MIB"): "FRAME_RELAY_DTE_MIB.FRAMERELAYDTEMIB",
    ("FRAME-RELAY-DTE-MIB", "FRAME-RELAY-DTE-MIB"): "FRAME_RELAY_DTE_MIB.FRAMERELAYDTEMIB",
    ("urn:ietf:params:xml:ns:yang:smiv2:IF-MIB", "IF-MIB"): "IF_MIB.IFMIB",
    ("IF-MIB", "IF-MIB"): "IF_MIB.IFMIB",
    ("urn:ietf:params:xml:ns:yang:smiv2:IGMP-STD-MIB", "IGMP-STD-MIB"): "IGMP_STD_MIB.IGMPSTDMIB",
    ("IGMP-STD-MIB", "IGMP-STD-MIB"): "IGMP_STD_MIB.IGMPSTDMIB",
    ("urn:ietf:params:xml:ns:yang:smiv2:INTEGRATED-SERVICES-MIB", "INTEGRATED-SERVICES-MIB"): "INTEGRATED_SERVICES_MIB.INTEGRATEDSERVICESMIB",
    ("INTEGRATED-SERVICES-MIB", "INTEGRATED-SERVICES-MIB"): "INTEGRATED_SERVICES_MIB.INTEGRATEDSERVICESMIB",
    ("urn:ietf:params:xml:ns:yang:smiv2:INT-SERV-MIB", "INT-SERV-MIB"): "INT_SERV_MIB.INTSERVMIB",
    ("INT-SERV-MIB", "INT-SERV-MIB"): "INT_SERV_MIB.INTSERVMIB",
    ("urn:ietf:params:xml:ns:yang:smiv2:IPMROUTE-STD-MIB", "IPMROUTE-STD-MIB"): "IPMROUTE_STD_MIB.IPMROUTESTDMIB",
    ("IPMROUTE-STD-MIB", "IPMROUTE-STD-MIB"): "IPMROUTE_STD_MIB.IPMROUTESTDMIB",
    ("urn:ietf:params:xml:ns:yang:smiv2:IP-FORWARD-MIB", "IP-FORWARD-MIB"): "IP_FORWARD_MIB.IPFORWARDMIB",
    ("IP-FORWARD-MIB", "IP-FORWARD-MIB"): "IP_FORWARD_MIB.IPFORWARDMIB",
    ("urn:ietf:params:xml:ns:yang:smiv2:IP-MIB", "IP-MIB"): "IP_MIB.IPMIB",
    ("IP-MIB", "IP-MIB"): "IP_MIB.IPMIB",
    ("urn:ietf:params:xml:ns:yang:smiv2:LLDP-MIB", "LLDP-MIB"): "LLDP_MIB.LLDPMIB",
    ("LLDP-MIB", "LLDP-MIB"): "LLDP_MIB.LLDPMIB",
    ("urn:ietf:params:xml:ns:yang:smiv2:MPLS-L3VPN-STD-MIB", "MPLS-L3VPN-STD-MIB"): "MPLS_L3VPN_STD_MIB.MPLSL3VPNSTDMIB",
    ("MPLS-L3VPN-STD-MIB", "MPLS-L3VPN-STD-MIB"): "MPLS_L3VPN_STD_MIB.MPLSL3VPNSTDMIB",
    ("urn:ietf:params:xml:ns:yang:smiv2:MPLS-LDP-GENERIC-STD-MIB", "MPLS-LDP-GENERIC-STD-MIB"): "MPLS_LDP_GENERIC_STD_MIB.MPLSLDPGENERICSTDMIB",
    ("MPLS-LDP-GENERIC-STD-MIB", "MPLS-LDP-GENERIC-STD-MIB"): "MPLS_LDP_GENERIC_STD_MIB.MPLSLDPGENERICSTDMIB",
    ("urn:ietf:params:xml:ns:yang:smiv2:MPLS-LDP-STD-MIB", "MPLS-LDP-STD-MIB"): "MPLS_LDP_STD_MIB.MPLSLDPSTDMIB",
    ("MPLS-LDP-STD-MIB", "MPLS-LDP-STD-MIB"): "MPLS_LDP_STD_MIB.MPLSLDPSTDMIB",
    ("urn:ietf:params:xml:ns:yang:smiv2:MPLS-LSR-STD-MIB", "MPLS-LSR-STD-MIB"): "MPLS_LSR_STD_MIB.MPLSLSRSTDMIB",
    ("MPLS-LSR-STD-MIB", "MPLS-LSR-STD-MIB"): "MPLS_LSR_STD_MIB.MPLSLSRSTDMIB",
    ("urn:ietf:params:xml:ns:yang:smiv2:MPLS-TE-STD-MIB", "MPLS-TE-STD-MIB"): "MPLS_TE_STD_MIB.MPLSTESTDMIB",
    ("MPLS-TE-STD-MIB", "MPLS-TE-STD-MIB"): "MPLS_TE_STD_MIB.MPLSTESTDMIB",
    ("urn:ietf:params:xml:ns:yang:smiv2:MPLS-VPN-MIB", "MPLS-VPN-MIB"): "MPLS_VPN_MIB.MPLSVPNMIB",
    ("MPLS-VPN-MIB", "MPLS-VPN-MIB"): "MPLS_VPN_MIB.MPLSVPNMIB",
    ("urn:ietf:params:xml:ns:yang:smiv2:NHRP-MIB", "NHRP-MIB"): "NHRP_MIB.NHRPMIB",
    ("NHRP-MIB", "NHRP-MIB"): "NHRP_MIB.NHRPMIB",
    ("urn:ietf:params:xml:ns:yang:smiv2:NOTIFICATION-LOG-MIB", "NOTIFICATION-LOG-MIB"): "NOTIFICATION_LOG_MIB.NOTIFICATIONLOGMIB",
    ("NOTIFICATION-LOG-MIB", "NOTIFICATION-LOG-MIB"): "NOTIFICATION_LOG_MIB.NOTIFICATIONLOGMIB",
    ("urn:ietf:params:xml:ns:yang:smiv2:OSPF-MIB", "OSPF-MIB"): "OSPF_MIB.OSPFMIB",
    ("OSPF-MIB", "OSPF-MIB"): "OSPF_MIB.OSPFMIB",
    ("urn:ietf:params:xml:ns:yang:smiv2:OSPF-TRAP-MIB", "OSPF-TRAP-MIB"): "OSPF_TRAP_MIB.OSPFTRAPMIB",
    ("OSPF-TRAP-MIB", "OSPF-TRAP-MIB"): "OSPF_TRAP_MIB.OSPFTRAPMIB",
    ("urn:ietf:params:xml:ns:yang:smiv2:PIM-MIB", "PIM-MIB"): "PIM_MIB.PIMMIB",
    ("PIM-MIB", "PIM-MIB"): "PIM_MIB.PIMMIB",
    ("urn:ietf:params:xml:ns:yang:smiv2:P-BRIDGE-MIB", "P-BRIDGE-MIB"): "P_BRIDGE_MIB.PBRIDGEMIB",
    ("P-BRIDGE-MIB", "P-BRIDGE-MIB"): "P_BRIDGE_MIB.PBRIDGEMIB",
    ("urn:ietf:params:xml:ns:yang:smiv2:Q-BRIDGE-MIB", "Q-BRIDGE-MIB"): "Q_BRIDGE_MIB.QBRIDGEMIB",
    ("Q-BRIDGE-MIB", "Q-BRIDGE-MIB"): "Q_BRIDGE_MIB.QBRIDGEMIB",
    ("urn:ietf:params:xml:ns:yang:smiv2:RFC1213-MIB", "RFC1213-MIB"): "RFC1213_MIB.RFC1213MIB",
    ("RFC1213-MIB", "RFC1213-MIB"): "RFC1213_MIB.RFC1213MIB",
    ("urn:ietf:params:xml:ns:yang:smiv2:RFC1315-MIB", "RFC1315-MIB"): "RFC1315_MIB.RFC1315MIB",
    ("RFC1315-MIB", "RFC1315-MIB"): "RFC1315_MIB.RFC1315MIB",
    ("urn:ietf:params:xml:ns:yang:smiv2:RMON2-MIB", "RMON2-MIB"): "RMON2_MIB.RMON2MIB",
    ("RMON2-MIB", "RMON2-MIB"): "RMON2_MIB.RMON2MIB",
    ("urn:ietf:params:xml:ns:yang:smiv2:RMON-MIB", "RMON-MIB"): "RMON_MIB.RMONMIB",
    ("RMON-MIB", "RMON-MIB"): "RMON_MIB.RMONMIB",
    ("urn:ietf:params:xml:ns:yang:smiv2:RSVP-MIB", "RSVP-MIB"): "RSVP_MIB.RSVPMIB",
    ("RSVP-MIB", "RSVP-MIB"): "RSVP_MIB.RSVPMIB",
    ("urn:ietf:params:xml:ns:yang:smiv2:SNMP-FRAMEWORK-MIB", "SNMP-FRAMEWORK-MIB"): "SNMP_FRAMEWORK_MIB.SNMPFRAMEWORKMIB",
    ("SNMP-FRAMEWORK-MIB", "SNMP-FRAMEWORK-MIB"): "SNMP_FRAMEWORK_MIB.SNMPFRAMEWORKMIB",
    ("urn:ietf:params:xml:ns:yang:smiv2:SNMP-PROXY-MIB", "SNMP-PROXY-MIB"): "SNMP_PROXY_MIB.SNMPPROXYMIB",
    ("SNMP-PROXY-MIB", "SNMP-PROXY-MIB"): "SNMP_PROXY_MIB.SNMPPROXYMIB",
    ("urn:ietf:params:xml:ns:yang:smiv2:SNMP-TARGET-MIB", "SNMP-TARGET-MIB"): "SNMP_TARGET_MIB.SNMPTARGETMIB",
    ("SNMP-TARGET-MIB", "SNMP-TARGET-MIB"): "SNMP_TARGET_MIB.SNMPTARGETMIB",
    ("urn:ietf:params:xml:ns:yang:smiv2:SNMPv2-MIB", "SNMPv2-MIB"): "SNMPv2_MIB.SNMPv2MIB",
    ("SNMPv2-MIB", "SNMPv2-MIB"): "SNMPv2_MIB.SNMPv2MIB",
    ("urn:ietf:params:xml:ns:yang:smiv2:SONET-MIB", "SONET-MIB"): "SONET_MIB.SONETMIB",
    ("SONET-MIB", "SONET-MIB"): "SONET_MIB.SONETMIB",
    ("urn:ietf:params:xml:ns:yang:smiv2:TCP-MIB", "TCP-MIB"): "TCP_MIB.TCPMIB",
    ("TCP-MIB", "TCP-MIB"): "TCP_MIB.TCPMIB",
    ("urn:ietf:params:xml:ns:yang:smiv2:TOKENRING-MIB", "TOKENRING-MIB"): "TOKENRING_MIB.TOKENRINGMIB",
    ("TOKENRING-MIB", "TOKENRING-MIB"): "TOKENRING_MIB.TOKENRINGMIB",
    ("urn:ietf:params:xml:ns:yang:smiv2:TOKEN-RING-RMON-MIB", "TOKEN-RING-RMON-MIB"): "TOKEN_RING_RMON_MIB.TOKENRINGRMONMIB",
    ("TOKEN-RING-RMON-MIB", "TOKEN-RING-RMON-MIB"): "TOKEN_RING_RMON_MIB.TOKENRINGRMONMIB",
    ("urn:ietf:params:xml:ns:yang:smiv2:TUNNEL-MIB", "TUNNEL-MIB"): "TUNNEL_MIB.TUNNELMIB",
    ("TUNNEL-MIB", "TUNNEL-MIB"): "TUNNEL_MIB.TUNNELMIB",
    ("urn:ietf:params:xml:ns:yang:smiv2:UDP-MIB", "UDP-MIB"): "UDP_MIB.UDPMIB",
    ("UDP-MIB", "UDP-MIB"): "UDP_MIB.UDPMIB",
    ("urn:cisco:params:xml:ns:yang:cisco-bridge-domain", "bridge-domain-config"): "cisco_bridge_domain.BridgeDomainConfig",
    ("cisco-bridge-domain", "bridge-domain-config"): "cisco_bridge_domain.BridgeDomainConfig",
    ("urn:cisco:params:xml:ns:yang:cisco-bridge-domain", "bridge-domain-state"): "cisco_bridge_domain.BridgeDomainState",
    ("cisco-bridge-domain", "bridge-domain-state"): "cisco_bridge_domain.BridgeDomainState",
    ("urn:cisco:params:xml:ns:yang:pw", "pseudowire-config"): "cisco_pw.PseudowireConfig",
    ("cisco-pw", "pseudowire-config"): "cisco_pw.PseudowireConfig",
    ("urn:cisco:params:xml:ns:yang:pw", "pseudowire-state"): "cisco_pw.PseudowireState",
    ("cisco-pw", "pseudowire-state"): "cisco_pw.PseudowireState",
    ("http://cisco.com/yang/cisco-self-mgmt", "netconf-yang"): "cisco_self_mgmt.NetconfYang",
    ("cisco-self-mgmt", "netconf-yang"): "cisco_self_mgmt.NetconfYang",
    ("urn:ietf:params:xml:ns:yang:common-mpls-static", "mpls-static"): "common_mpls_static.MplsStatic",
    ("common-mpls-static", "mpls-static"): "common_mpls_static.MplsStatic",
    ("urn:ietf:params:xml:ns:yang:nvo", "nvo-instances"): "nvo.NvoInstances",
    ("nvo", "nvo-instances"): "nvo.NvoInstances",
    ("http://tail-f.com/yang/confd-monitoring", "confd-state"): "tailf_confd_monitoring.ConfdState",
    ("tailf-confd-monitoring", "confd-state"): "tailf_confd_monitoring.ConfdState",
}

NAMESPACE_LOOKUP = {
    "ATM-FORUM-TC-MIB": "urn:ietf:params:xml:ns:yang:smiv2:ATM-FORUM-TC-MIB",
    "ATM-MIB": "urn:ietf:params:xml:ns:yang:smiv2:ATM-MIB",
    "ATM-TC-MIB": "urn:ietf:params:xml:ns:yang:smiv2:ATM-TC-MIB",
    "BGP4-MIB": "urn:ietf:params:xml:ns:yang:smiv2:BGP4-MIB",
    "BRIDGE-MIB": "urn:ietf:params:xml:ns:yang:smiv2:BRIDGE-MIB",
    "CISCO-AAA-SERVER-MIB": "urn:ietf:params:xml:ns:yang:smiv2:CISCO-AAA-SERVER-MIB",
    "CISCO-AAA-SESSION-MIB": "urn:ietf:params:xml:ns:yang:smiv2:CISCO-AAA-SESSION-MIB",
    "CISCO-AAL5-MIB": "urn:ietf:params:xml:ns:yang:smiv2:CISCO-AAL5-MIB",
    "CISCO-ATM-EXT-MIB": "urn:ietf:params:xml:ns:yang:smiv2:CISCO-ATM-EXT-MIB",
    "CISCO-ATM-PVCTRAP-EXTN-MIB": "urn:ietf:params:xml:ns:yang:smiv2:CISCO-ATM-PVCTRAP-EXTN-MIB",
    "CISCO-ATM-QOS-MIB": "urn:ietf:params:xml:ns:yang:smiv2:CISCO-ATM-QOS-MIB",
    "CISCO-BGP4-MIB": "urn:ietf:params:xml:ns:yang:smiv2:CISCO-BGP4-MIB",
    "CISCO-BGP-POLICY-ACCOUNTING-MIB": "urn:ietf:params:xml:ns:yang:smiv2:CISCO-BGP-POLICY-ACCOUNTING-MIB",
    "CISCO-BULK-FILE-MIB": "urn:ietf:params:xml:ns:yang:smiv2:CISCO-BULK-FILE-MIB",
    "CISCO-CBP-TARGET-MIB": "urn:ietf:params:xml:ns:yang:smiv2:CISCO-CBP-TARGET-MIB",
    "CISCO-CBP-TARGET-TC-MIB": "urn:ietf:params:xml:ns:yang:smiv2:CISCO-CBP-TARGET-TC-MIB",
    "CISCO-CBP-TC-MIB": "urn:ietf:params:xml:ns:yang:smiv2:CISCO-CBP-TC-MIB",
    "CISCO-CDP-MIB": "urn:ietf:params:xml:ns:yang:smiv2:CISCO-CDP-MIB",
    "CISCO-CEF-MIB": "urn:ietf:params:xml:ns:yang:smiv2:CISCO-CEF-MIB",
    "CISCO-CEF-TC": "urn:ietf:params:xml:ns:yang:smiv2:CISCO-CEF-TC",
    "CISCO-CONFIG-COPY-MIB": "urn:ietf:params:xml:ns:yang:smiv2:CISCO-CONFIG-COPY-MIB",
    "CISCO-CONFIG-MAN-MIB": "urn:ietf:params:xml:ns:yang:smiv2:CISCO-CONFIG-MAN-MIB",
    "CISCO-CONTEXT-MAPPING-MIB": "urn:ietf:params:xml:ns:yang:smiv2:CISCO-CONTEXT-MAPPING-MIB",
    "CISCO-DATA-COLLECTION-MIB": "urn:ietf:params:xml:ns:yang:smiv2:CISCO-DATA-COLLECTION-MIB",
    "CISCO-DIAL-CONTROL-MIB": "urn:ietf:params:xml:ns:yang:smiv2:CISCO-DIAL-CONTROL-MIB",
    "CISCO-DOT3-OAM-MIB": "urn:ietf:params:xml:ns:yang:smiv2:CISCO-DOT3-OAM-MIB",
    "CISCO-DYNAMIC-TEMPLATE-MIB": "urn:ietf:params:xml:ns:yang:smiv2:CISCO-DYNAMIC-TEMPLATE-MIB",
    "CISCO-DYNAMIC-TEMPLATE-TC-MIB": "urn:ietf:params:xml:ns:yang:smiv2:CISCO-DYNAMIC-TEMPLATE-TC-MIB",
    "CISCO-EIGRP-MIB": "urn:ietf:params:xml:ns:yang:smiv2:CISCO-EIGRP-MIB",
    "CISCO-EMBEDDED-EVENT-MGR-MIB": "urn:ietf:params:xml:ns:yang:smiv2:CISCO-EMBEDDED-EVENT-MGR-MIB",
    "CISCO-ENHANCED-MEMPOOL-MIB": "urn:ietf:params:xml:ns:yang:smiv2:CISCO-ENHANCED-MEMPOOL-MIB",
    "CISCO-ENTITY-ALARM-MIB": "urn:ietf:params:xml:ns:yang:smiv2:CISCO-ENTITY-ALARM-MIB",
    "CISCO-ENTITY-EXT-MIB": "urn:ietf:params:xml:ns:yang:smiv2:CISCO-ENTITY-EXT-MIB",
    "CISCO-ENTITY-FRU-CONTROL-MIB": "urn:ietf:params:xml:ns:yang:smiv2:CISCO-ENTITY-FRU-CONTROL-MIB",
    "CISCO-ENTITY-QFP-MIB": "urn:ietf:params:xml:ns:yang:smiv2:CISCO-ENTITY-QFP-MIB",
    "CISCO-ENTITY-SENSOR-MIB": "urn:ietf:params:xml:ns:yang:smiv2:CISCO-ENTITY-SENSOR-MIB",
    "CISCO-ENTITY-VENDORTYPE-OID-MIB": "urn:ietf:params:xml:ns:yang:smiv2:CISCO-ENTITY-VENDORTYPE-OID-MIB",
    "CISCO-ENVMON-MIB": "urn:ietf:params:xml:ns:yang:smiv2:CISCO-ENVMON-MIB",
    "CISCO-ETHERLIKE-EXT-MIB": "urn:ietf:params:xml:ns:yang:smiv2:CISCO-ETHERLIKE-EXT-MIB",
    "CISCO-ETHER-CFM-MIB": "urn:ietf:params:xml:ns:yang:smiv2:CISCO-ETHER-CFM-MIB",
    "CISCO-FIREWALL-TC": "urn:ietf:params:xml:ns:yang:smiv2:CISCO-FIREWALL-TC",
    "CISCO-FLASH-MIB": "urn:ietf:params:xml:ns:yang:smiv2:CISCO-FLASH-MIB",
    "CISCO-FTP-CLIENT-MIB": "urn:ietf:params:xml:ns:yang:smiv2:CISCO-FTP-CLIENT-MIB",
    "CISCO-HSRP-EXT-MIB": "urn:ietf:params:xml:ns:yang:smiv2:CISCO-HSRP-EXT-MIB",
    "CISCO-HSRP-MIB": "urn:ietf:params:xml:ns:yang:smiv2:CISCO-HSRP-MIB",
    "CISCO-IETF-ATM2-PVCTRAP-MIB": "urn:ietf:params:xml:ns:yang:smiv2:CISCO-IETF-ATM2-PVCTRAP-MIB",
    "CISCO-IETF-ATM2-PVCTRAP-MIB-EXTN": "urn:ietf:params:xml:ns:yang:smiv2:CISCO-IETF-ATM2-PVCTRAP-MIB-EXTN",
    "CISCO-IETF-BFD-MIB": "urn:ietf:params:xml:ns:yang:smiv2:CISCO-IETF-BFD-MIB",
    "CISCO-IETF-FRR-MIB": "urn:ietf:params:xml:ns:yang:smiv2:CISCO-IETF-FRR-MIB",
    "CISCO-IETF-ISIS-MIB": "urn:ietf:params:xml:ns:yang:smiv2:CISCO-IETF-ISIS-MIB",
    "CISCO-IETF-MPLS-ID-STD-03-MIB": "urn:ietf:params:xml:ns:yang:smiv2:CISCO-IETF-MPLS-ID-STD-03-MIB",
    "CISCO-IETF-MPLS-TE-EXT-STD-03-MIB": "urn:ietf:params:xml:ns:yang:smiv2:CISCO-IETF-MPLS-TE-EXT-STD-03-MIB",
    "CISCO-IETF-PW-ATM-MIB": "urn:ietf:params:xml:ns:yang:smiv2:CISCO-IETF-PW-ATM-MIB",
    "CISCO-IETF-PW-ENET-MIB": "urn:ietf:params:xml:ns:yang:smiv2:CISCO-IETF-PW-ENET-MIB",
    "CISCO-IETF-PW-MIB": "urn:ietf:params:xml:ns:yang:smiv2:CISCO-IETF-PW-MIB",
    "CISCO-IETF-PW-MPLS-MIB": "urn:ietf:params:xml:ns:yang:smiv2:CISCO-IETF-PW-MPLS-MIB",
    "CISCO-IETF-PW-TC-MIB": "urn:ietf:params:xml:ns:yang:smiv2:CISCO-IETF-PW-TC-MIB",
    "CISCO-IETF-PW-TDM-MIB": "urn:ietf:params:xml:ns:yang:smiv2:CISCO-IETF-PW-TDM-MIB",
    "CISCO-IF-EXTENSION-MIB": "urn:ietf:params:xml:ns:yang:smiv2:CISCO-IF-EXTENSION-MIB",
    "CISCO-IGMP-FILTER-MIB": "urn:ietf:params:xml:ns:yang:smiv2:CISCO-IGMP-FILTER-MIB",
    "CISCO-IMAGE-LICENSE-MGMT-MIB": "urn:ietf:params:xml:ns:yang:smiv2:CISCO-IMAGE-LICENSE-MGMT-MIB",
    "CISCO-IMAGE-MIB": "urn:ietf:params:xml:ns:yang:smiv2:CISCO-IMAGE-MIB",
    "CISCO-IPMROUTE-MIB": "urn:ietf:params:xml:ns:yang:smiv2:CISCO-IPMROUTE-MIB",
    "CISCO-IPSEC-FLOW-MONITOR-MIB": "urn:ietf:params:xml:ns:yang:smiv2:CISCO-IPSEC-FLOW-MONITOR-MIB",
    "CISCO-IPSEC-MIB": "urn:ietf:params:xml:ns:yang:smiv2:CISCO-IPSEC-MIB",
    "CISCO-IPSEC-POLICY-MAP-MIB": "urn:ietf:params:xml:ns:yang:smiv2:CISCO-IPSEC-POLICY-MAP-MIB",
    "CISCO-IPSLA-AUTOMEASURE-MIB": "urn:ietf:params:xml:ns:yang:smiv2:CISCO-IPSLA-AUTOMEASURE-MIB",
    "CISCO-IPSLA-ECHO-MIB": "urn:ietf:params:xml:ns:yang:smiv2:CISCO-IPSLA-ECHO-MIB",
    "CISCO-IPSLA-JITTER-MIB": "urn:ietf:params:xml:ns:yang:smiv2:CISCO-IPSLA-JITTER-MIB",
    "CISCO-IPSLA-TC-MIB": "urn:ietf:params:xml:ns:yang:smiv2:CISCO-IPSLA-TC-MIB",
    "CISCO-IP-LOCAL-POOL-MIB": "urn:ietf:params:xml:ns:yang:smiv2:CISCO-IP-LOCAL-POOL-MIB",
    "CISCO-IP-TAP-MIB": "urn:ietf:params:xml:ns:yang:smiv2:CISCO-IP-TAP-MIB",
    "CISCO-IP-URPF-MIB": "urn:ietf:params:xml:ns:yang:smiv2:CISCO-IP-URPF-MIB",
    "CISCO-LICENSE-MGMT-MIB": "urn:ietf:params:xml:ns:yang:smiv2:CISCO-LICENSE-MGMT-MIB",
    "CISCO-MEDIA-GATEWAY-MIB": "urn:ietf:params:xml:ns:yang:smiv2:CISCO-MEDIA-GATEWAY-MIB",
    "CISCO-MPLS-LSR-EXT-STD-MIB": "urn:ietf:params:xml:ns:yang:smiv2:CISCO-MPLS-LSR-EXT-STD-MIB",
    "CISCO-MPLS-TC-EXT-STD-MIB": "urn:ietf:params:xml:ns:yang:smiv2:CISCO-MPLS-TC-EXT-STD-MIB",
    "CISCO-NBAR-PROTOCOL-DISCOVERY-MIB": "urn:ietf:params:xml:ns:yang:smiv2:CISCO-NBAR-PROTOCOL-DISCOVERY-MIB",
    "CISCO-NETSYNC-MIB": "urn:ietf:params:xml:ns:yang:smiv2:CISCO-NETSYNC-MIB",
    "CISCO-NTP-MIB": "urn:ietf:params:xml:ns:yang:smiv2:CISCO-NTP-MIB",
    "CISCO-OSPF-MIB": "urn:ietf:params:xml:ns:yang:smiv2:CISCO-OSPF-MIB",
    "CISCO-OSPF-TRAP-MIB": "urn:ietf:params:xml:ns:yang:smiv2:CISCO-OSPF-TRAP-MIB",
    "CISCO-PIM-MIB": "urn:ietf:params:xml:ns:yang:smiv2:CISCO-PIM-MIB",
    "CISCO-PING-MIB": "urn:ietf:params:xml:ns:yang:smiv2:CISCO-PING-MIB",
    "CISCO-PROCESS-MIB": "urn:ietf:params:xml:ns:yang:smiv2:CISCO-PROCESS-MIB",
    "CISCO-PRODUCTS-MIB": "urn:ietf:params:xml:ns:yang:smiv2:CISCO-PRODUCTS-MIB",
    "CISCO-PTP-MIB": "urn:ietf:params:xml:ns:yang:smiv2:CISCO-PTP-MIB",
    "CISCO-QOS-PIB-MIB": "urn:ietf:params:xml:ns:yang:smiv2:CISCO-QOS-PIB-MIB",
    "CISCO-RADIUS-EXT-MIB": "urn:ietf:params:xml:ns:yang:smiv2:CISCO-RADIUS-EXT-MIB",
    "CISCO-RF-MIB": "urn:ietf:params:xml:ns:yang:smiv2:CISCO-RF-MIB",
    "CISCO-RTTMON-MIB": "urn:ietf:params:xml:ns:yang:smiv2:CISCO-RTTMON-MIB",
    "CISCO-RTTMON-TC-MIB": "urn:ietf:params:xml:ns:yang:smiv2:CISCO-RTTMON-TC-MIB",
    "CISCO-SESS-BORDER-CTRLR-CALL-STATS-MIB": "urn:ietf:params:xml:ns:yang:smiv2:CISCO-SESS-BORDER-CTRLR-CALL-STATS-MIB",
    "CISCO-SESS-BORDER-CTRLR-STATS-MIB": "urn:ietf:params:xml:ns:yang:smiv2:CISCO-SESS-BORDER-CTRLR-STATS-MIB",
    "CISCO-SIP-UA-MIB": "urn:ietf:params:xml:ns:yang:smiv2:CISCO-SIP-UA-MIB",
    "CISCO-SMI": "urn:ietf:params:xml:ns:yang:smiv2:CISCO-SMI",
    "CISCO-SONET-MIB": "urn:ietf:params:xml:ns:yang:smiv2:CISCO-SONET-MIB",
    "CISCO-STP-EXTENSIONS-MIB": "urn:ietf:params:xml:ns:yang:smiv2:CISCO-STP-EXTENSIONS-MIB",
    "CISCO-ST-TC": "urn:ietf:params:xml:ns:yang:smiv2:CISCO-ST-TC",
    "CISCO-SUBSCRIBER-IDENTITY-TC-MIB": "urn:ietf:params:xml:ns:yang:smiv2:CISCO-SUBSCRIBER-IDENTITY-TC-MIB",
    "CISCO-SUBSCRIBER-SESSION-MIB": "urn:ietf:params:xml:ns:yang:smiv2:CISCO-SUBSCRIBER-SESSION-MIB",
    "CISCO-SUBSCRIBER-SESSION-TC-MIB": "urn:ietf:params:xml:ns:yang:smiv2:CISCO-SUBSCRIBER-SESSION-TC-MIB",
    "CISCO-SYSLOG-MIB": "urn:ietf:params:xml:ns:yang:smiv2:CISCO-SYSLOG-MIB",
    "CISCO-TAP2-MIB": "urn:ietf:params:xml:ns:yang:smiv2:CISCO-TAP2-MIB",
    "CISCO-TC": "urn:ietf:params:xml:ns:yang:smiv2:CISCO-TC",
    "CISCO-UBE-MIB": "urn:ietf:params:xml:ns:yang:smiv2:CISCO-UBE-MIB",
    "CISCO-UNIFIED-FIREWALL-MIB": "urn:ietf:params:xml:ns:yang:smiv2:CISCO-UNIFIED-FIREWALL-MIB",
    "CISCO-VLAN-IFTABLE-RELATIONSHIP-MIB": "urn:ietf:params:xml:ns:yang:smiv2:CISCO-VLAN-IFTABLE-RELATIONSHIP-MIB",
    "CISCO-VLAN-MEMBERSHIP-MIB": "urn:ietf:params:xml:ns:yang:smiv2:CISCO-VLAN-MEMBERSHIP-MIB",
    "CISCO-VOICE-COMMON-DIAL-CONTROL-MIB": "urn:ietf:params:xml:ns:yang:smiv2:CISCO-VOICE-COMMON-DIAL-CONTROL-MIB",
    "CISCO-VOICE-DIAL-CONTROL-MIB": "urn:ietf:params:xml:ns:yang:smiv2:CISCO-VOICE-DIAL-CONTROL-MIB",
    "CISCO-VOICE-DNIS-MIB": "urn:ietf:params:xml:ns:yang:smiv2:CISCO-VOICE-DNIS-MIB",
    "CISCO-VPDN-MGMT-MIB": "urn:ietf:params:xml:ns:yang:smiv2:CISCO-VPDN-MGMT-MIB",
    "CISCO-VTP-MIB": "urn:ietf:params:xml:ns:yang:smiv2:CISCO-VTP-MIB",
    "Cisco-IOS-XE-aaa": "http://cisco.com/ns/yang/Cisco-IOS-XE-aaa",
    "Cisco-IOS-XE-acl": "http://cisco.com/ns/yang/Cisco-IOS-XE-acl",
    "Cisco-IOS-XE-acl-oper": "http://cisco.com/ns/yang/Cisco-IOS-XE-acl-oper",
    "Cisco-IOS-XE-arp": "http://cisco.com/ns/yang/Cisco-IOS-XE-arp",
    "Cisco-IOS-XE-atm": "http://cisco.com/ns/yang/Cisco-IOS-XE-atm",
    "Cisco-IOS-XE-bba-group": "http://cisco.com/ns/yang/Cisco-IOS-XE-bba-group",
    "Cisco-IOS-XE-bfd": "http://cisco.com/ns/yang/Cisco-IOS-XE-bfd",
    "Cisco-IOS-XE-bfd-oper": "http://cisco.com/ns/yang/Cisco-IOS-XE-bfd-oper",
    "Cisco-IOS-XE-bgp": "http://cisco.com/ns/yang/Cisco-IOS-XE-bgp",
    "Cisco-IOS-XE-bgp-common-oper": "http://cisco.com/ns/yang/Cisco-IOS-XE-bgp-common-oper",
    "Cisco-IOS-XE-bgp-oper": "http://cisco.com/ns/yang/Cisco-IOS-XE-bgp-oper",
    "Cisco-IOS-XE-bgp-route-oper": "http://cisco.com/ns/yang/Cisco-IOS-XE-bgp-route-oper",
    "Cisco-IOS-XE-bridge-domain": "http://cisco.com/ns/yang/Cisco-IOS-XE-bridge-domain",
    "Cisco-IOS-XE-call-home": "http://cisco.com/ns/yang/Cisco-IOS-XE-call-home",
    "Cisco-IOS-XE-card": "http://cisco.com/ns/yang/Cisco-IOS-XE-card",
    "Cisco-IOS-XE-cdp": "http://cisco.com/ns/yang/Cisco-IOS-XE-cdp",
    "Cisco-IOS-XE-cdp-oper": "http://cisco.com/ns/yang/Cisco-IOS-XE-cdp-oper",
    "Cisco-IOS-XE-cef": "http://cisco.com/ns/yang/Cisco-IOS-XE-cef",
    "Cisco-IOS-XE-cfm-oper": "http://cisco.com/ns/yang/Cisco-IOS-XE-cfm-oper",
    "Cisco-IOS-XE-checkpoint-archive-oper": "http://cisco.com/ns/yang/Cisco-IOS-XE-checkpoint-archive-oper",
    "Cisco-IOS-XE-coap": "http://cisco.com/ns/yang/Cisco-IOS-XE-coap",
    "Cisco-IOS-XE-controller": "http://cisco.com/ns/yang/Cisco-IOS-XE-controller",
    "Cisco-IOS-XE-crypto": "http://cisco.com/ns/yang/Cisco-IOS-XE-crypto",
    "Cisco-IOS-XE-cts": "http://cisco.com/ns/yang/Cisco-IOS-XE-cts",
    "Cisco-IOS-XE-device-sensor": "http://cisco.com/ns/yang/Cisco-IOS-XE-device-sensor",
    "Cisco-IOS-XE-device-tracking": "http://cisco.com/ns/yang/Cisco-IOS-XE-device-tracking",
    "Cisco-IOS-XE-dhcp": "http://cisco.com/ns/yang/Cisco-IOS-XE-dhcp",
    "Cisco-IOS-XE-diagnostics": "http://cisco.com/ns/yang/Cisco-IOS-XE-diagnostics",
    "Cisco-IOS-XE-diffserv-target-oper": "http://cisco.com/ns/yang/Cisco-IOS-XE-diffserv-target-oper",
    "Cisco-IOS-XE-dot1x": "http://cisco.com/ns/yang/Cisco-IOS-XE-dot1x",
    "Cisco-IOS-XE-eem": "http://cisco.com/ns/yang/Cisco-IOS-XE-eem",
    "Cisco-IOS-XE-efp-oper": "http://cisco.com/ns/yang/Cisco-IOS-XE-efp-oper",
    "Cisco-IOS-XE-eigrp": "http://cisco.com/ns/yang/Cisco-IOS-XE-eigrp",
    "Cisco-IOS-XE-environment-oper": "http://cisco.com/ns/yang/Cisco-IOS-XE-environment-oper",
    "Cisco-IOS-XE-ethernet": "http://cisco.com/ns/yang/Cisco-IOS-XE-ethernet",
    "Cisco-IOS-XE-ezpm": "http://cisco.com/ns/yang/Cisco-IOS-XE-ezpm",
    "Cisco-IOS-XE-features": "http://cisco.com/ns/yang/Cisco-IOS-XE-features",
    "Cisco-IOS-XE-flow": "http://cisco.com/ns/yang/Cisco-IOS-XE-flow",
    "Cisco-IOS-XE-flow-monitor-oper": "http://cisco.com/ns/yang/Cisco-IOS-XE-flow-monitor-oper",
    "Cisco-IOS-XE-http": "http://cisco.com/ns/yang/Cisco-IOS-XE-http",
    "Cisco-IOS-XE-icmp": "http://cisco.com/ns/yang/Cisco-IOS-XE-icmp",
    "Cisco-IOS-XE-igmp": "http://cisco.com/ns/yang/Cisco-IOS-XE-igmp",
    "Cisco-IOS-XE-interface-common": "http://cisco.com/ns/yang/Cisco-IOS-XE-interface-common",
    "Cisco-IOS-XE-ip-sla-oper": "http://cisco.com/ns/yang/Cisco-IOS-XE-ip-sla-oper",
    "Cisco-IOS-XE-isis": "http://cisco.com/ns/yang/Cisco-IOS-XE-isis",
    "Cisco-IOS-XE-l2vpn": "http://cisco.com/ns/yang/Cisco-IOS-XE-l2vpn",
    "Cisco-IOS-XE-l3vpn": "http://cisco.com/ns/yang/Cisco-IOS-XE-l3vpn",
    "Cisco-IOS-XE-lisp": "http://cisco.com/ns/yang/Cisco-IOS-XE-lisp",
    "Cisco-IOS-XE-lldp": "http://cisco.com/ns/yang/Cisco-IOS-XE-lldp",
    "Cisco-IOS-XE-lldp-oper": "http://cisco.com/ns/yang/Cisco-IOS-XE-lldp-oper",
    "Cisco-IOS-XE-mdt-cfg": "http://cisco.com/ns/yang/Cisco-IOS-XE-mdt-cfg",
    "Cisco-IOS-XE-mdt-common-defs": "http://cisco.com/ns/yang/Cisco-IOS-XE-mdt-common-defs",
    "Cisco-IOS-XE-mdt-oper": "http://cisco.com/ns/yang/Cisco-IOS-XE-mdt-oper",
    "Cisco-IOS-XE-memory-oper": "http://cisco.com/ns/yang/Cisco-IOS-XE-memory-oper",
    "Cisco-IOS-XE-mka": "http://cisco.com/ns/yang/Cisco-IOS-XE-mka",
    "Cisco-IOS-XE-mld": "http://cisco.com/ns/yang/Cisco-IOS-XE-mld",
    "Cisco-IOS-XE-mmode": "http://cisco.com/ns/yang/Cisco-IOS-XE-mmode",
    "Cisco-IOS-XE-mpls": "http://cisco.com/ns/yang/Cisco-IOS-XE-mpls",
    "Cisco-IOS-XE-mpls-fwd-oper": "http://cisco.com/ns/yang/Cisco-IOS-XE-mpls-fwd-oper",
    "Cisco-IOS-XE-mpls-ldp": "http://cisco.com/ns/yang/Cisco-IOS-XE-mpls-ldp",
    "Cisco-IOS-XE-multicast": "http://cisco.com/ns/yang/Cisco-IOS-XE-multicast",
    "Cisco-IOS-XE-nat": "http://cisco.com/ns/yang/Cisco-IOS-XE-nat",
    "Cisco-IOS-XE-native": "http://cisco.com/ns/yang/Cisco-IOS-XE-native",
    "Cisco-IOS-XE-nbar": "http://cisco.com/ns/yang/Cisco-IOS-XE-nbar",
    "Cisco-IOS-XE-nd": "http://cisco.com/ns/yang/Cisco-IOS-XE-nd",
    "Cisco-IOS-XE-nhrp": "http://cisco.com/ns/yang/Cisco-IOS-XE-nhrp",
    "Cisco-IOS-XE-ntp": "http://cisco.com/ns/yang/Cisco-IOS-XE-ntp",
    "Cisco-IOS-XE-object-group": "http://cisco.com/ns/yang/Cisco-IOS-XE-object-group",
    "Cisco-IOS-XE-ospf": "http://cisco.com/ns/yang/Cisco-IOS-XE-ospf",
    "Cisco-IOS-XE-ospfv3": "http://cisco.com/ns/yang/Cisco-IOS-XE-ospfv3",
    "Cisco-IOS-XE-otv": "http://cisco.com/ns/yang/Cisco-IOS-XE-otv",
    "Cisco-IOS-XE-pathmgr": "http://cisco.com/ns/yang/Cisco-IOS-XE-pathmgr",
    "Cisco-IOS-XE-pfr": "http://cisco.com/ns/yang/Cisco-IOS-XE-pfr",
    "Cisco-IOS-XE-platform": "http://cisco.com/ns/yang/Cisco-IOS-XE-platform",
    "Cisco-IOS-XE-platform-oper": "http://cisco.com/ns/yang/Cisco-IOS-XE-platform-oper",
    "Cisco-IOS-XE-platform-software-oper": "http://cisco.com/ns/yang/Cisco-IOS-XE-platform-software-oper",
    "Cisco-IOS-XE-policy": "http://cisco.com/ns/yang/Cisco-IOS-XE-policy",
    "Cisco-IOS-XE-power": "http://cisco.com/ns/yang/Cisco-IOS-XE-power",
    "Cisco-IOS-XE-ppp": "http://cisco.com/ns/yang/Cisco-IOS-XE-ppp",
    "Cisco-IOS-XE-process-cpu-oper": "http://cisco.com/ns/yang/Cisco-IOS-XE-process-cpu-oper",
    "Cisco-IOS-XE-process-memory-oper": "http://cisco.com/ns/yang/Cisco-IOS-XE-process-memory-oper",
    "Cisco-IOS-XE-qos": "http://cisco.com/ns/yang/Cisco-IOS-XE-qos",
    "Cisco-IOS-XE-rip": "http://cisco.com/ns/yang/Cisco-IOS-XE-rip",
    "Cisco-IOS-XE-route-map": "http://cisco.com/ns/yang/Cisco-IOS-XE-route-map",
    "Cisco-IOS-XE-rpc": "http://cisco.com/ns/yang/Cisco-IOS-XE-rpc",
    "Cisco-IOS-XE-rsvp": "http://cisco.com/ns/yang/Cisco-IOS-XE-rsvp",
    "Cisco-IOS-XE-sanet": "http://cisco.com/ns/yang/Cisco-IOS-XE-sanet",
    "Cisco-IOS-XE-segment-routing": "http://cisco.com/ns/yang/Cisco-IOS-XE-segment-routing",
    "Cisco-IOS-XE-service-chain": "http://cisco.com/ns/yang/Cisco-IOS-XE-service-chain",
    "Cisco-IOS-XE-service-discovery": "http://cisco.com/ns/yang/Cisco-IOS-XE-service-discovery",
    "Cisco-IOS-XE-service-insertion": "http://cisco.com/ns/yang/Cisco-IOS-XE-service-insertion",
    "Cisco-IOS-XE-service-routing": "http://cisco.com/ns/yang/Cisco-IOS-XE-service-routing",
    "Cisco-IOS-XE-sla": "http://cisco.com/ns/yang/Cisco-IOS-XE-sla",
    "Cisco-IOS-XE-snmp": "http://cisco.com/ns/yang/Cisco-IOS-XE-snmp",
    "Cisco-IOS-XE-spanning-tree": "http://cisco.com/ns/yang/Cisco-IOS-XE-spanning-tree",
    "Cisco-IOS-XE-switch": "http://cisco.com/ns/yang/Cisco-IOS-XE-switch",
    "Cisco-IOS-XE-template": "http://cisco.com/ns/yang/ios-xe/template",
    "Cisco-IOS-XE-track": "http://cisco.com/ns/yang/Cisco-IOS-XE-track",
    "Cisco-IOS-XE-trustsec-oper": "http://cisco.com/ns/yang/Cisco-IOS-XE-trustsec-oper",
    "Cisco-IOS-XE-tunnel": "http://cisco.com/ns/yang/Cisco-IOS-XE-tunnel",
    "Cisco-IOS-XE-types": "http://cisco.com/ns/yang/Cisco-IOS-XE-types",
    "Cisco-IOS-XE-udld": "http://cisco.com/ns/yang/Cisco-IOS-XE-udld",
    "Cisco-IOS-XE-umbrella": "http://cisco.com/ns/yang/Cisco-IOS-XE-umbrella",
    "Cisco-IOS-XE-utd": "http://cisco.com/ns/yang/Cisco-IOS-XE-utd",
    "Cisco-IOS-XE-virtual-service-oper": "http://cisco.com/ns/yang/Cisco-IOS-XE-virtual-service-oper",
    "Cisco-IOS-XE-vlan": "http://cisco.com/ns/yang/Cisco-IOS-XE-vlan",
    "Cisco-IOS-XE-voice": "http://cisco.com/ns/yang/Cisco-IOS-XE-voice",
    "Cisco-IOS-XE-vpdn": "http://cisco.com/ns/yang/Cisco-IOS-XE-vpdn",
    "Cisco-IOS-XE-vservice": "http://cisco.com/ns/yang/Cisco-IOS-XE-vservice",
    "Cisco-IOS-XE-vstack": "http://cisco.com/ns/yang/Cisco-IOS-XE-vstack",
    "Cisco-IOS-XE-vtp": "http://cisco.com/ns/yang/Cisco-IOS-XE-vtp",
    "Cisco-IOS-XE-wccp": "http://cisco.com/ns/yang/Cisco-IOS-XE-wccp",
    "Cisco-IOS-XE-wsma": "http://cisco.com/ns/yang/Cisco-IOS-XE-wsma",
    "Cisco-IOS-XE-zone": "http://cisco.com/ns/yang/Cisco-IOS-XE-zone",
    "DIAL-CONTROL-MIB": "urn:ietf:params:xml:ns:yang:smiv2:DIAL-CONTROL-MIB",
    "DIFFSERV-DSCP-TC": "urn:ietf:params:xml:ns:yang:smiv2:DIFFSERV-DSCP-TC",
    "DIFFSERV-MIB": "urn:ietf:params:xml:ns:yang:smiv2:DIFFSERV-MIB",
    "DISMAN-EVENT-MIB": "urn:ietf:params:xml:ns:yang:smiv2:DISMAN-EVENT-MIB",
    "DISMAN-EXPRESSION-MIB": "urn:ietf:params:xml:ns:yang:smiv2:DISMAN-EXPRESSION-MIB",
    "DRAFT-MSDP-MIB": "urn:ietf:params:xml:ns:yang:smiv2:DRAFT-MSDP-MIB",
    "DS1-MIB": "urn:ietf:params:xml:ns:yang:smiv2:DS1-MIB",
    "DS3-MIB": "urn:ietf:params:xml:ns:yang:smiv2:DS3-MIB",
    "ENTITY-MIB": "urn:ietf:params:xml:ns:yang:smiv2:ENTITY-MIB",
    "ENTITY-SENSOR-MIB": "urn:ietf:params:xml:ns:yang:smiv2:ENTITY-SENSOR-MIB",
    "ENTITY-STATE-MIB": "urn:ietf:params:xml:ns:yang:smiv2:ENTITY-STATE-MIB",
    "ENTITY-STATE-TC-MIB": "urn:ietf:params:xml:ns:yang:smiv2:ENTITY-STATE-TC-MIB",
    "ETHER-WIS": "urn:ietf:params:xml:ns:yang:smiv2:ETHER-WIS",
    "EXPRESSION-MIB": "urn:ietf:params:xml:ns:yang:smiv2:EXPRESSION-MIB",
    "EtherLike-MIB": "urn:ietf:params:xml:ns:yang:smiv2:EtherLike-MIB",
    "FRAME-RELAY-DTE-MIB": "urn:ietf:params:xml:ns:yang:smiv2:FRAME-RELAY-DTE-MIB",
    "HCNUM-TC": "urn:ietf:params:xml:ns:yang:smiv2:HCNUM-TC",
    "IANA-ADDRESS-FAMILY-NUMBERS-MIB": "urn:ietf:params:xml:ns:yang:smiv2:IANA-ADDRESS-FAMILY-NUMBERS-MIB",
    "IANA-RTPROTO-MIB": "urn:ietf:params:xml:ns:yang:smiv2:IANA-RTPROTO-MIB",
    "IANAifType-MIB": "urn:ietf:params:xml:ns:yang:smiv2:IANAifType-MIB",
    "IEEE8021-TC-MIB": "urn:ietf:params:xml:ns:yang:smiv2:IEEE8021-TC-MIB",
    "IF-MIB": "urn:ietf:params:xml:ns:yang:smiv2:IF-MIB",
    "IGMP-STD-MIB": "urn:ietf:params:xml:ns:yang:smiv2:IGMP-STD-MIB",
    "INET-ADDRESS-MIB": "urn:ietf:params:xml:ns:yang:smiv2:INET-ADDRESS-MIB",
    "INTEGRATED-SERVICES-MIB": "urn:ietf:params:xml:ns:yang:smiv2:INTEGRATED-SERVICES-MIB",
    "INT-SERV-MIB": "urn:ietf:params:xml:ns:yang:smiv2:INT-SERV-MIB",
    "IPMROUTE-STD-MIB": "urn:ietf:params:xml:ns:yang:smiv2:IPMROUTE-STD-MIB",
    "IPV6-FLOW-LABEL-MIB": "urn:ietf:params:xml:ns:yang:smiv2:IPV6-FLOW-LABEL-MIB",
    "IP-FORWARD-MIB": "urn:ietf:params:xml:ns:yang:smiv2:IP-FORWARD-MIB",
    "IP-MIB": "urn:ietf:params:xml:ns:yang:smiv2:IP-MIB",
    "LLDP-MIB": "urn:ietf:params:xml:ns:yang:smiv2:LLDP-MIB",
    "MPLS-L3VPN-STD-MIB": "urn:ietf:params:xml:ns:yang:smiv2:MPLS-L3VPN-STD-MIB",
    "MPLS-LDP-GENERIC-STD-MIB": "urn:ietf:params:xml:ns:yang:smiv2:MPLS-LDP-GENERIC-STD-MIB",
    "MPLS-LDP-STD-MIB": "urn:ietf:params:xml:ns:yang:smiv2:MPLS-LDP-STD-MIB",
    "MPLS-LSR-STD-MIB": "urn:ietf:params:xml:ns:yang:smiv2:MPLS-LSR-STD-MIB",
    "MPLS-TC-MIB": "urn:ietf:params:xml:ns:yang:smiv2:MPLS-TC-MIB",
    "MPLS-TC-STD-MIB": "urn:ietf:params:xml:ns:yang:smiv2:MPLS-TC-STD-MIB",
    "MPLS-TE-STD-MIB": "urn:ietf:params:xml:ns:yang:smiv2:MPLS-TE-STD-MIB",
    "MPLS-VPN-MIB": "urn:ietf:params:xml:ns:yang:smiv2:MPLS-VPN-MIB",
    "NHRP-MIB": "urn:ietf:params:xml:ns:yang:smiv2:NHRP-MIB",
    "NOTIFICATION-LOG-MIB": "urn:ietf:params:xml:ns:yang:smiv2:NOTIFICATION-LOG-MIB",
    "OSPF-MIB": "urn:ietf:params:xml:ns:yang:smiv2:OSPF-MIB",
    "OSPF-TRAP-MIB": "urn:ietf:params:xml:ns:yang:smiv2:OSPF-TRAP-MIB",
    "PIM-MIB": "urn:ietf:params:xml:ns:yang:smiv2:PIM-MIB",
    "P-BRIDGE-MIB": "urn:ietf:params:xml:ns:yang:smiv2:P-BRIDGE-MIB",
    "PerfHist-TC-MIB": "urn:ietf:params:xml:ns:yang:smiv2:PerfHist-TC-MIB",
    "Q-BRIDGE-MIB": "urn:ietf:params:xml:ns:yang:smiv2:Q-BRIDGE-MIB",
    "RFC1155-SMI": "urn:ietf:params:xml:ns:yang:smiv2:RFC1155-SMI",
    "RFC1213-MIB": "urn:ietf:params:xml:ns:yang:smiv2:RFC1213-MIB",
    "RFC1315-MIB": "urn:ietf:params:xml:ns:yang:smiv2:RFC1315-MIB",
    "RFC-1212": "urn:ietf:params:xml:ns:yang:smiv2:RFC-1212",
    "RFC-1215": "urn:ietf:params:xml:ns:yang:smiv2:RFC-1215",
    "RMON2-MIB": "urn:ietf:params:xml:ns:yang:smiv2:RMON2-MIB",
    "RMON-MIB": "urn:ietf:params:xml:ns:yang:smiv2:RMON-MIB",
    "RSVP-MIB": "urn:ietf:params:xml:ns:yang:smiv2:RSVP-MIB",
    "SNMP-FRAMEWORK-MIB": "urn:ietf:params:xml:ns:yang:smiv2:SNMP-FRAMEWORK-MIB",
    "SNMP-PROXY-MIB": "urn:ietf:params:xml:ns:yang:smiv2:SNMP-PROXY-MIB",
    "SNMP-TARGET-MIB": "urn:ietf:params:xml:ns:yang:smiv2:SNMP-TARGET-MIB",
    "SNMPv2-MIB": "urn:ietf:params:xml:ns:yang:smiv2:SNMPv2-MIB",
    "SNMPv2-TC": "urn:ietf:params:xml:ns:yang:smiv2:SNMPv2-TC",
    "SONET-MIB": "urn:ietf:params:xml:ns:yang:smiv2:SONET-MIB",
    "TCP-MIB": "urn:ietf:params:xml:ns:yang:smiv2:TCP-MIB",
    "TOKENRING-MIB": "urn:ietf:params:xml:ns:yang:smiv2:TOKENRING-MIB",
    "TOKEN-RING-RMON-MIB": "urn:ietf:params:xml:ns:yang:smiv2:TOKEN-RING-RMON-MIB",
    "TUNNEL-MIB": "urn:ietf:params:xml:ns:yang:smiv2:TUNNEL-MIB",
    "UDP-MIB": "urn:ietf:params:xml:ns:yang:smiv2:UDP-MIB",
    "VPN-TC-STD-MIB": "urn:ietf:params:xml:ns:yang:smiv2:VPN-TC-STD-MIB",
    "cisco-bridge-common": "urn:cisco:params:xml:ns:yang:cisco-bridge-common",
    "cisco-bridge-domain": "urn:cisco:params:xml:ns:yang:cisco-bridge-domain",
    "cisco-ethernet": "urn:cisco:params:xml:ns:yang:cisco-ethernet",
    "cisco-ia": "http://cisco.com/yang/cisco-ia",
    "cisco-odm": "http://cisco.com/yang/cisco-odm",
    "cisco-ospf": "urn:ietf:params:xml:ns:yang:cisco-ospf",
    "cisco-policy": "urn:ietf:params:xml:ns:yang:cisco-policy",
    "cisco-policy-filters": "urn:ietf:params:xml:ns:yang:cisco-policy-filters",
    "cisco-policy-target": "urn:ietf:params:xml:ns:yang:cisco-policy-target",
    "cisco-pw": "urn:cisco:params:xml:ns:yang:pw",
    "cisco-routing-ext": "urn:cisco:params:xml:ns:yang:cisco-routing-ext",
    "cisco-self-mgmt": "http://cisco.com/yang/cisco-self-mgmt",
    "cisco-storm-control": "urn:cisco:params:xml:ns:yang:cisco-storm-control",
    "common-mpls-static": "urn:ietf:params:xml:ns:yang:common-mpls-static",
    "common-mpls-types": "urn:ietf:params:xml:ns:yang:common-mpls-types",
    "nvo": "urn:ietf:params:xml:ns:yang:nvo",
    "pim": "urn:cisco:params:xml:ns:yang:pim",
    "policy-attr": "urn:ietf:params:xml:ns:yang:policy-attr",
    "tailf-common": "http://tail-f.com/yang/common",
    "tailf-common-monitoring": "http://tail-f.com/yang/common-monitoring",
    "tailf-common-query": "http://tail-f.com/ns/common/query",
    "tailf-confd-monitoring": "http://tail-f.com/yang/confd-monitoring",
    "tailf-netconf-inactive": "http://tail-f.com/ns/netconf/inactive/1.0",
    "tailf-netconf-monitoring": "http://tail-f.com/yang/netconf-monitoring",
    "tailf-netconf-query": "http://tail-f.com/ns/netconf/query",
    "tailf-netconf-transactions": "http://tail-f.com/ns/netconf/transactions/1.0",
    "tailf-rest-error": "http://tail-f.com/ns/tailf-rest-error",
    "tailf-rest-query": "http://tail-f.com/ns/tailf-rest-query",
    "tailf-xsd-types": "http://www.w3.org/2001/XMLSchema",
}

